Introduction

Table of Contents

  • Introduction
    • Product Availability
    • Overview
    • Important Terminology
    • Planning Hi-Track Deployment
    • Dual SVPs
    • Deploying Hi-Track
  • Installation
    • Removing Earlier Hi-Track Versions
    • Software Installation Overview
    • Installation Using the SVP CD-ROM Drive
    • Remote Installation
  • Configuring Hi-Track
    • After Installation
    • Configuring Hi-Track as both Site Manager and SVP Agent
    • Configuring Hi-Track a Site Manager Only
    • Configuring Hi-Track an SVP Agent Only
    • Configuring the Modem Tab
    • Configuring the Center Tab
    • Configuring the Subsystems Tab
    • Configuring the Notifications Tab
    • Configuring the AutoDumps Tab
    • Configuring Contact Methods with Proxy Servers
    • Configuring RAS
    • Finalizing Hi-Track Configuration
  • Hi-Track Operations
    • Testing SVP Agents
    • Site Manager Operations
    • AutoDump Operations
    • Remote Maintenance
    • Monitoring Hi-Track
    • Troubleshooting
  • Technical Information
    • Miscellaneous Technical Information
    • READ ME
    • Release Notes

All Hi-Track applications, documentation, and associated files are:

Copyright © 1995-2016 — Hitachi Data Systems All rights reserved.

This tool and associated documentation are intended for internal use only by qualified and authorized personnel of Hitachi Data Systems Corporation.


Introduction

Product Availability

Hi-Track version B or C series was developed specifically for the large RAID family of HDS storage products. For the purpose of this document and the Hi-Track SVP Agent, the term large RAID systems refers to the following storage systems:

  • Universal Storage Platform (USP)
  • Network Storage Controller (NSC)
  • Universal Storage Platform V (USP V)
  • Universal Storage Platform VM (USP VM)
  • Virtual Storage Platform (VSP)
  • Hitachi Unified Storage VM (HUS VM)
  • Virtual Storage Platform G1000 (VSP G1000)
  • Virtual Storage Platform Gx00 (VSP Gx00)

Use Hi-Track version C.x for these large RAID systems.

For older storage systems such as the 9900 and 9900V, use Hi-Track 9.x.

Note that in a mixed lab consisting of both older systems and large RAID systems, you must use both versions of Hi-Track. If a customer site uses telephone lines for data transfer or remote support, Hi-Track C.x and 9.x cannot share a common telephone line.

All Hi-Track applications, documentation, and associated files are:


Software Installation Overview

The service processors (SVPs) of the HDS large RAID subsystems are headless systems. That is, they are not laptop PCs nor do they have attached monitors, keyboards, or pointing devices. As a result, most SVP administration is done via Microsoft Remote Desktop connections from other systems. Because of this, the Hi-Track installation CD does not have an auto-run feature to launch the installation program when the CD is inserted into a CD drive.

If you have physical access to the subsystem and can insert the Hi-Track CD into the CD-ROM drive of the SVP, you will follow a slightly different procedure than if you must install the software completely remotely. If you have access to the subsystem CD-ROM drive, you will follow the directions in the section entitled Installation Using the SVP CD-ROM Drive. If not, you will follow the directions in the section entitled Remote Installation.

Removing Hi-Track 8.x or 9.x

The HDS USP, USP V, VSP, and VSP G1000 subsystems (as opposed to the NSC, HUS VM, and VSP Gx00) may be configured as dual-SVP systems. With dual SVPs, Hi-Track must be installed on both SVPs to take advantage of the SVP failover mechanism.

For dual-SVP systems, plan to install Hi-Track on the primary SVP first. See the section entitled Dual SVPs for more detailed information about installing Hi-Track on systems configured with dual SVPs.

Note: the only setting that does not propagate from the primary to the standby SVP is the modem setup string. The reason for this is that in some cases, the SVPs may have different types of modems.

All Hi-Track applications, documentation, and associated files are:


Important Terminology

Historically, Hi-Track used the term front to refer to a subsystem equipped with a phone line. Backs were other subsystems which communicated with the Hi-Track Center through the front. Unfortunately, this terminology doesn't work as well with Hi-Track version B or later because the front could be a completely separate computer system — it may not even be a managed subsystem.

Components of Hi-Track C Series

There are three components ot Hi-Track C series. These are:

  • The Hi-Track Service Manager: This is the GUI application
  • The Hi-Track Site Manager: This Windows service corresponds to the front.
  • The Hi-Track SVP Agent: This Windows service corresponds to the back.
  • The Hi-Track Dump Interface IIS Express Web Host: This Windows service enables and hosts the front's AutoDump web interface.

Hi-Track Service Manager

The graphical user interface for configuring Hi-Track is called the Hi-Track Service Manager (pictured below). It is used to manage and configure the services — including starting and stopping them. The Hi-Track Service Manager runs on all systems that Hi-Track is installed on so that you can manage the Hi-Track services on that system. The Hi-Track Service Manager is just a normal Windows application that is launched at login. The system SVPs automatically log in the Administrator account at startup.

Hi-Track SVP Agent

Hi-Track manages communication between the HDS Center and it's managed subsystems. With Hi-Track C series, all storage subsystems under management are backs. Specifically, a back refers to the Hi-Track SVP Agent service running on a managed system.

Hi-Track Site Manager

The front is an instance of the Hi-Track Site Manager service. This service coordinates communication between the HDS Center and whatever storage subsystems it manages. This service can be run on an SVP or on a different computer altogether. If a customer installation consists of a single subsystem, then that subsystem is both a front and a back. In other words, that subsystem will run both the Hi-Track SVP Agent and the Hi-Track Site Manager

With a customer installation that consists of multiple subsystems, most often, one subsystem will be the Site Manager (which also runs the SVP Agent) and the others are just SVP Agents. For example, a typical customer installation with three subsystems may be configured as follows:

Subsystem | Services Running
Subsystem 1 (VSP) | Site Manager SVP Agent (back 00)
Subsystem 2 (USP V) | SVP Agent (back 01)
Subsystem 3 (HUS VM) | SVP Agent (back 02)

Hi-Track Dump Interface IIS Express Web Host

This component is only available on Hi-Track versions C.6 and higher.

When enabled, this service allows allows users without access to a front's SVP to request that a front generate and transfer an AutoDump to the HDS Center for one or more of its backs. This service uses IIS Express to host a ASP.NET web interface. As such, to use this feature, the service must be running and this feature must be enabled in the front's Hi-Track Service Manager.

In order for users to reach the Dump Interface, the port configured during installation is opened by the Web Host and firewall rules are added to allow incoming traffic. The web application can be accessed either from the start menu on a front or accessed via URL. The URL is https://IP:PORT/ where IP is the front's IP address and PORT is the port configured during installation (the default value is 4431).

All Hi-Track applications, documentation, and associated files are:


Planning Hi-Track Deployment

Before beginning the installation procedure in a data center with multiple subsystems, you will need to do some planning and ensure that you have some information at hand.

First, identify the computer system that will function as the Hi-Track Site Manager. This may be a USP, NSC, USP V, USP VM, VSP, HUS VM, VSP G1000, VSP Gx00 or it may be a separate computer system. The Hi-Track Site Manager serves as the communication channel between the HDS center and all of the TagmaStore subsystems at a customer site. There must be one (and may only be one) Site Manager for a group of one or more USP / NSC / USP V / USP VM / VSP / HUS VM / VSP G1000 / VSP Gx00 subsystems networked together and sharing a single phone line.

At a customer site equipped with only a single subsystem, most often that system will be configured as both the Site Manager and SVP Agent. This means that it needs to be equipped with a telephone line if it is to communicate with the Center via dial-up.

The following lists enumerate the prerequisites for the Hi-Track Site Manager and SVP Agents.

Prerequisites for Installation

A system running Microsoft Windows XP with SP3, Windows Server 2003 SP2 or later, Windows Vista SP1 or later, or any newer version of the Microsoft Windows OS.

Prerequisites for the Site Manager

The Hi-Track Site Manager needs:

  • An operating telephone line if communications with the Center are to be via dial-up or if Remote Desktop sessions from TRC are to be allowed.
  • TCP/IP connectivity to the public Internet if communications with the center are to be via FTP.
  • TCP/IP connectivity to each subsystem SVP monitored by the Site Manager.
  • The following ports open*: 2056, 2057, 2058, and 2059.

Prerequisites for the SVP Agents

The Hi-Track SVP Agents needs:

  • TCP/IP connectivity to the Hi-Track Site Manager.
  • The following ports open*: 2056, 2057, 2058, and 2059.
  • Outbound HTTPS access to port 443 for transferring data.

Prerequisites for the Dump Interface

The Hi-Track Dump Interface IIS Express Web Host:

  • The IP address or hostname of the Site Manager.
  • An alternate port to use for the Hi-Track Dump Interface if the default port of 4431 is already in use. The chosen port must be open between the host and the web interface users.

General Planning

Before beginning any software installation, prepare notes including:

  • The serial numbers and IP addresses of each subsystem to be managed by the Site Manager.
  • The IP address or hostname of the Site Manager.
  • The Hi-Track Center phone number.
  • The Hi-Track FTP site IP address, user name, and password.
  • The phone number of the local phone line (if applicable).

*Open ports: Normally, the ports should not be an issue. If Windows XP Service Pack 2 has not been installed on the SVP, these ports should be open. If the SVP was configured by the factory with Service Pack 2 or was upgraded by a microcode update, the ports should be open. Nevertheless, this information is presented here as a prerequisite. Use the Windows Firewall applet in the Control Panel to check or set port settings. (The Windows Firewall applet is installed as part of Windows XP Service Pack 2.)

All Hi-Track applications, documentation, and associated files are:


Deploying on Dual-SVPs

Installing Hi-Track at a customer site with only a single USP or NSC is simple. Just follow the installation procedure and then follow the configuration directions for configuring Hi-Track as both Site Manager and SVP Agent. (But see the note below about dual SVPs before moving on.)

However, it is slightly more complicated to install Hi-Track at a site equipped with multiple subsystems where one of them (or a separate computer) will be used for the Site Manager. This section sets forth the recommended order and best practices for site installations.

Note Regarding Dual-SVPs

This note relates to USP, USP V, VSP, and VSP G1000 subsystems only because dual-SVPs are not an option offered for NSC, HUS VM, and VSP Gx00 subsystems.

On USP, USP V, VSP, and VSP G1000 systems equipped with dual SVPs, Hi-Track must be installed on both SVPs to take advantage of the intended redundancy of dual SVPs.

In this documentation section (and elsewhere throughout the documentation), references are made to installing Hi-Track on a USP, USP V, VSP, or VSP G1000 and no mention may be made of a standby SVP. If a USP, USP V, VSP, or VSP G1000 is equipped with dual SVPs, you must be sure to install Hi-Track on both SVPs.

If a system is equipped with dual SVPs, install and configure Hi-Track on the primary SVP first and then install it on the standby SVP. When you install Hi-Track on the standby, a dialog will pop up when Hi-Track detects that it is running on the standby SVP.

Click Yes to migrate the configuration from the primary to the standby.

Note: If you accidentally install Hi-Track on the standby before installing it on the primary, when this dialog pops up and you click Yes, Hi-Track won't be able to migrate the settings. You will have to manually configure the standby, and then install and configure it on the primary as well.

After you have installed Hi-Track on both the primary and the secondary, you need only make any configuration changes on the primary. Whenever you change the configuration on the primary and click OK or Apply, Hi-Track will automatically migrate the new settings to the standby.

If a standby SVP is installed and running, and Hi-Track on the primary is unable to migrate a configuration change to the standby, you will be notified with a dialog box message:

If you see this message, check that Hi-Track is running on the standby, and consider that if you have made any changes to the port settings on the primary, these settings must also be made on the standby.

To fully test both SVPs, after you have tested the functionality of the primary SVP, perform an SVP swap. After a few minutes you can reestablish your Remote Desktop session to the new primary SVP. It will be at the same address as the old one — i.e. 126.x.x.15. View the Hi-Track log files to verify that when the services started, they recognized that the SVP was in standby mode, then switched to primary mode and restarted. If you perform this test, don't forget to perform a swap again to return the actual primary SVP to primary mode. And finally, wait for the swap to complete and ensure that Hi-Track comes up again properly on the new (original) primary SVP.

Note: the only configuration settings that do not propagate from the primary to the secondary is the modem setup string. This is for the case in which the SVPs are equipped with different modems. However, the modem is automatically discovered by Hi-Track each time the Site Manager service starts up.

All Hi-Track applications, documentation, and associated files are:


Deploying Hi-Track

Deploying in a Multiple Subsystem Environment

Deploying Hi-Track in a multiple subsystem environment is not difficult. These recommendations are just presented to ease the process and to reduce the number of trips you need to make to each subsystem on the network.

Network IP Address

Generally, we recommend that you use the subsystem's private LAN addresses where possible. This will reduce the likelihood of complications from the customer's switches, routers, gateways, etc., not to mention avoiding competition for network bandwidth on the customer's LAN.

However, public LAN settings may be used for a Hi-Track LAN. Just ensure that you have TCP/IP connectivity between the Site Manager system and all SVPs. In addition, TCP/IP packets addressed to certain ports must be able to transit the customer network. See the previous section titled Planning Hi-Track Deployment for the ports Hi-Track uses for intersystem communications.

Installation Order

The quickest way to deploy Hi-Track at a site with multiple subsystems is to install Hi-Track on the Site Manager (front) system first. Complete the configuration for the front system and start both of the Hi-Track services. You should finish the configuration on the Site Manager and start that service first. If you do, the backs will self-register with the Site Manager when you install and start the Hi-Track SVP Agent service on the backs. That way, you don't have type in IP addresses or serial numbers.

Then, one by one, go to each back system and install and Configure Hi-Track as an SVP Agent only .

You will need to provide the address for the Site Manager system (the front — which you installed first). On each back system, after you install the software and specify the address of the Site Manager, open the agent log (which will initially be empty) and apply your settings and start the services. Watch the startup messages in the log. You should see a log message indicating that the SVP Agent registered with the Site Manager (if the Site Manager service is running).

When you have finished configuring the each of the backs (SVP Agent-only systems), return to the Site Manager system and bring up the Service Manager user application. Click on the Subsystems tab and look at the list of subsystems under management. You should see an entry in the list for each back that you configured.

Next, open the Site Manager log on the front. Then click the Subsystems tab and click the button labelled View Logs. This will open the Agent log on each back system. Now go back to the General tab and click the button labeled Arrange. This will line up the log windows on the right side of the screen so you can see them easily. Next click on the Utilities tab and do a manual transfer. Be sure to generate new data files because since this is the first time that Hi-Track is running on these system, there are no data files to send in unless you generate them. Select either a daily or weekly call (preferably weekly) and initiate the transfer. Watch the logs as the data files are generated on each back system. When data file generation is complete, the Site Manager will contact the HDS Center. Watch this as it happens in the Site Manager log.

After a dial-up call to the Center completes normally, don't forget to get TRC to test establishing a dial-back connection and connecting to the Site Manager with Remote Desktop. For RAS dial-back to work, you must have completed a dial-up call to the Center of some kind (Daily, Weekly, or Test). Until a dial-in call has succeeded, RAS dial-back will not work.

All Hi-Track applications, documentation, and associated files are:


Removing Earlier Versions of Hi-Track

Removing Earlier Version of Hi-Track

Removing Hi-Track B.X or C.x

There are two recommended ways to remove Hi-Track B.x or C.x before installing the latest version. You may use the Hi-Track installer by clicking on setup.exe. When the installer prompts you the choices "Repair Hi-Track" and "Remove Hi-Track", select the latter and click OK. Additionally, you may remove the previous version of Hi-Track manually by following these steps:

  • Establish a Remote Desktop connection to the SVP
  • Open Control Panel and navigate to Program and Features (on XP: Add or Remove Programs)
  • Select Hi-Track and click Uninstall (on XP: click Remove)

Note: uninstalling Hi-Track B.x or C.0 does not remove some of the configuration files. This is so that when you install HiTrack C.1, you do not need to redefine the system configuration.

Removing Hi-Track 8.x or 9.x

If you are installing the latest Hi-Track version on a subsystem SVP currently configured with Hi-Track 8.x or 9.x, you must manually remove Hi-Track 8.x or 9.x before beginning the Hi-Track version C.1 installation. To remove Hi-Track 8.x or 9x, follow the directions below:

  • Establish a Remote Desktop connection to the SVP.
  • Open Windows Explorer and navigate to the directory C:\Documents and Settings\Administrator\Start Menu\Programs\Startup
  • Delete the shortcut in this directory named Hi-Track.
  • Reboot the SVP.
  • Re-establish your desktop connection to the SVP and launch Windows Explorer again.
  • Delete the directory C:\HDS. If you don't reboot the SVP, you may not be able to delete this directory.

All Hi-Track applications, documentation, and associated files are:


Installation Using the SVP CD-ROM Drive

If you have access to the subsystem SVP, the easiest way to install Hi-Track version C.x is using the SVP CD-ROM drive. Follow the directions below to install Hi-Track using the SVP CD-ROM drive. If the SVP does not have a CD-ROM drive or you do not have physical access to the SVP, you can install Hi-Track remotely, but the procedure is a little different. Skip to the section entitled Remote Installation if you need to install Hi-Track remotely.

  • Insert the Hi-Track C.x CD into the CD-ROM drive of the SVP.
  • Launch a Remote Desktop session into the SVP.
  • Open Windows Explorer and navigate to and open the CD-ROM drive.
  • Double-click the autorun.hta file in that directory.
  • Close or minimize any other open windows so you can see prompts.

During the installation process, operating system prerequisites may be installed if it is not already installed on the system. For this reason, the installation may be as quick as a few seconds, or take as long as several minutes. You may also be prompted to reboot the SVP after installation of one of the components. If so, reboot the SVP and begin the installation process again, which will skip over already installed prerequisites.

See Prerequisites for Installation for the components that may or may not be installed.

After the installation completes, you should be prompted to Launch the Hi-Track Service Manager program. At this point, proceed to the Configuring Hi-Track section.

All Hi-Track applications, documentation, and associated files are:


Remote Installation

Note: If you intend to install Hi-Track C Series on a system currently running a previous version of Hi-Track, you must remove the previous version before installing Hi-Track C.x. See the Removing Earlier Hi-Track Versions section for detailed directions for removing the old version of Hi-Track.

If physical access to the SVP CD-ROM is not available or practical, you may install Hi-Track remotely. The key is to get the installation files onto the SVP. Preferably, you should FTP the installation files to the SVP. However, you may also use Remote Desktop, following these steps:

On your local computer:

  • Insert the Hi-Track CD into your local CD-ROM drive.
  • Launch Remote Desktop.
  • In the Computer box, enter the IP address of the SVP.
  • Click the Options>> button to expand the dialog.
  • For user name, enter Administrator.
  • Enter the password for the Administrator account.
  • Click the Local Resource tab.
  • In the Local devices group box, check Disk Drives.
  • Click the Connect button.

On the SVP:

  • Open Windows Explorer
  • Drag the folder Hi-Track on the Hi-Track CD to the C drive of the SVP.
  • Navigate into the new Hi-Track folder on the C drive.
  • Execute the autorun.hta program by double-clicking it.
  • Close or minimize any other open windows so that you can see prompts.

Tip: A bug in Windows XP (which was corrected in Service Pack 2) causes the My Computer or Windows Explorer applet to function very slowly when navigating remote disk drives. To avoid this slow operation, you can open the Run dialog (Start/Run) and type the fully-qualified identifier for a remote drive and folder (for example: \\tsclient\D). This will open a drive window from which you can navigate a local drive normally while on the remote desktop.

All Hi-Track applications, documentation, and associated files are:


After Installation

After the installation program finishes, you should see the Hi-Track Service Manager application (pictured below). You should also see a new icon in the system tray.

Don't click any buttons yet at this point.* What you will do next is customize the Hi-Track installation and (ultimately) click OK. Again, don't do this yet, but when you are done configuring Hi-Track and click OK, the Hi-Track Service Manager will close. You can open it again by double-clicking on the Hi-Track Service Manager icon in the system tray (or by right-clicking on it and choosing Open Hi-Track Service Manager.

* The reason not to click OK yet at this point is that when you click OK (or Apply) the Hi-Track Service Manager will validate the settings you have entered: but if you are seeing this application for the first time, you haven't entered any settings yet.

All Hi-Track applications, documentation, and associated files are:


Configuring Hi-Track as both Site Manager and SVP Agent

To configure a Hi-Track installation as both the Site Manager and SVP Agent, ensure that the checkbox labeled This system is the Site Manager is checked under the General tab.

Configuring the Site Tab

Click the Site tab of the Hi-Track Service Manager.

On the Site tab, enter the pre-assigned site ID for this customer, and optionally the customer's organization name in the text box labeled Customer.

If SIM messages are to be reported to the Hi-Track Center, check the Report SIMs to Hi-Track Center checkbox.

If you do not want HiTrack to display the IP addresses of the SVP Agent Systems, check the Hide local IP addresses checkbox.

The Answer incoming calls checkbox controls whether or not the Hi-Track Site Manager will answer the phone when it rings. Note that if you intend to enable RAS dial-back sessions (remote maintenance), this checkbox must be checked. If it is not checked, Hi-Track can never receive the command to dial-back.

If this site will allow TRC to establish a remote SVP session, check the Enable RAS dial-back checkbox. Note: this option is overridden if the physical remote maintenance switch on any subsystem under management is set to off (disabled). However if the remote maintenance switches on all subsystems are on (enabled), this feature may be enabled or disabled with this software setting. Note: unchecking this box or disabling the Remote Maintenance switch on any subsystem under management will prevent TRC from establishing a remote SVP session.

If the Resend uncompleted SIMs checkbox is checked, Hi-Track will resend any and all SIMs that have not been marked completed in the SVP each day until all SIMs are marked complete. Do not check this checkbox unless you want a daily reminder to resolve and complete SIM messages.

The default and recommended setting for the control labeled Modem logs to keep (days) is 0 (to keep no traffic logs). These logs are not human readable, will not assist in debugging, are for internal purposes only, and unless you are told you need this feature it is strongly recommended that you leave this setting at the default value of 0.

The Modem Tab

Follow the directions on the page Configuring the Modem Tab to populate the controls in this tab.

The Center Tab

Follow the directions on the page Configuring the Center Tab to populate the controls in this tab.

The Subsystems Tab

Follow the directions on the page Configuring the Subsystems Tab to populate the controls in this tab.

The Notifications Tab

Follow the directions on the page Configuring the Notifications Tab to populate the controls in this tab.

The AutoDumps Tab

Follow the directions on the page Configuring the AutoDump Tab to populate the controls in this tab.

Finalizing Hi-Track Configuration

Follow the directions on the page Finalizing Hi-Track Configuration to finish configuring Hi-Track.

All Hi-Track applications, documentation, and associated files are:


Configuring Hi-Track as a Site Manager Only

Follow the directions in this section to configure Hi-Track as a Site Manager on a standalone computer (not on an SVP).

Caution: Take this and the following paragraph into account before deciding to implement this Hi-Track configuration. The Hi-Track Site Manager is the system that communicates with the HDS Center, and if allowed and initiated by TRC, performs RAS dial-back connections to TRC for remote maintenance via Remote Desktop. If a standalone PC as Site Manager is the selected configuration, this is the computer that TRC will be connecting into and TRC will need the user ID and password for the account under which Hi-Track is installed. When a subsystem SVP is the Site Manager, TRC knows the user ID and password to use to log in. A separate Site Manager PC may be set up with the same credentials, but you will have to take this into account. If remote administration is allowed, required, or desired, either an account with identical credentials will need to be created or TRC will need the user ID and password.

The second thing to take into account about this configuration is that USP, NSC, and USP V/VM have a built-in modem while there is no modem attached to VSP G1000, VSP Gx00, VSP, and HUS VM. On USP, NSC, and USP V/VM, the Hi-Track Site Manager supports just three specific modems. These are the two modems that are distributed with subsystem SVPs and additionally the US Robotics Courier V.Everything modem. On VSP, on the other hand, the Hi-Track Site Manager supports the Hayes Accura USB V.92/V.90 modem (model#15360). As VSP, HUS VM, VSP G1000, and VSP Gx00 systems do not have a built-in modem, customers can use the USB-enabled Hayes modem for dial-up data transfer and RAS dial-back. The HDS part number for the Hayes modem is H0815360G.P.

If the standalone Site Manager PC is not equipped with one of these modems, you will have to compose and test a modem setup string that works with the modem on the PC. Composing a modem string is described below.

The General Tab

To configure a Hi-Track installation as a standalone Site Manager, make sure the checkbox on the General tab labeled This system is the Site Manager is checked. Your Service Manager should look like the graphic below.

The Modem Tab

Next, click on the Modem tab.

Each time it is started, the Hi-Track Site Manager service (not what is pictured above — the Service Manager GUI application) will discover the modem and COM port. The Site Manager service will discover the standard modems installed on HDS large RAID systems. If a different modem is discovered, the service will configure the modem with a minimal setup string. This is usually the case when you are installing Hi-Track on a system other than a subsystem SVP. You will have to compose and test the modem setup string for the modem you intend to use.

Other than the modems pre-installed on a subsystem SVP, the only two modems tested with Hi-Track are the U.S. Robotics Courier V.Everything modem and the Hayes Accura USB modem. The setup string for the Robotics modem is:

  • AT&F1E0&K0S0=1

HiTrack initializes the Hayes Accura modem with the following setup string:

  • AT&FE0S0=1

The following table describes the components of this setup string and should give you an idea of how to compose a setup string for other types of modems.

Other modem commands to be aware of relate to error control and result codes. For the V.Everything and Hayes modems described here, the default settings are the desired ones, so no additional commands are needed in the setup string.

Error Control — Check your modem manual for its default error control setting. With most modems, error control is turned on by default. This is what you want — error control enabled. With the U.S. Robotics V.Everything modem, error control is controlled with the &Mn command. Level 4 (&M4) is the default — normal error control.

Result Codes — Check your modem manual for its default result code setting. With most modems, result codes are set with the Xn command. With the U.S. Robotics V.Everything modem, the default is X4. This setting causes the modem to return result codes such as OK, CONNECT, RING, NO CARRIER, etc.

In the System Telephone Line and Outside Access group box, enter the phone number and outside long distance access code of this telephone line. This is not where you enter the phone number for the Hi-Track center. These values are used for the remote maintenance dial-back mechanism.

In the Modem group box, make sure the modem setting and setup string are correct. Use the Answer incoming calls checkbox on the Site tab to enable or disable incoming calls.

The Center Tab

Follow the directions on the page Configuring the Center Tab to populate the controls in this tab.

The Subsystems Tab

Follow the directions on the page Configuring the Subsystems Tab to populate the controls in this tab.

The Notifications Tab

Follow the directions on the page Configuring the Notifications Tab to populate the controls in this tab.

The AutoDumps Tab

Follow the directions on the page Configuring the AutoDump Tab to populate the controls in this tab.

Finalizing Hi-Track Configuration

Follow the directions on the page Finalizing Hi-Track Configuration to finish configuring Hi-Track.

All Hi-Track applications, documentation, and associated files are:


Configuring Hi-Track as an SVP Agent Only

To configure a Hi-Track installation as an SVP Agent only, on the General tab of the Hi-Track Service Manager application, uncheck the This system is Site Manager checkbox.

After you uncheck the checkbox, you will be presented with dialog box shown below. Use this dialog box to enter the IPv4 or IPv6 address of the system that will be (or is) the Site Manager.

Next, click the Subsystem tab on the Hi-Track Service Manager.

On a Site Manager (not this configuration), this tab displays a list of subsystems under management by the Site Manager. With this configuration (Hi-Track configured as an SVP Agent only), this list box should contain the definition of this single subsystem SVP. Notice in the graphic above the first column in the list has the word this in parentheses.

If the Hi-Track Service Manager was able to communicate with the SVP at the time it was first run, the system serial number should already be correct as should be the address — which should be localhost. If either of these values is incorrect, edit the subsystem properties to correct the situation.

The SVP Agent can be further configured from the Properties menu to define an explicit IP address to use when registering with a Site Manager. Enter the desired address in the IPv4 or IPv6 Registration Address field. You must enter the IP address in this field if the back is on a different subnet than the front. The entered IP address can be either IPv4 or IPv6 (if IPv6 is supported on the platform OS). If the latter, the IPv6 addressed should be wrapped in square brackets and the scope ID (denoted by the ‘%’) should be omitted.

Finally, return to the General tab and click Apply. The Apply button (and the OK button) will perform some rudimentary checks on your configuration. You may receive one or more error messages and possibly some warning messages. Correct any errors and click the Apply button again.

When your configuration appears to be OK, Hi-Track will ask if you want to start the SVP Agent service. If you click Yes to the prompt to start the service, it should start up and the red visual cue should turn green.

Click any enabled log buttons on the General tab if you would like to watch the startup process. Close the log windows when you are finished viewing them.

Click the Utilities tab, and click the Test Now button to test network connectivity to the Site Manager (if Hi-Track is running on the Site Manager).

Click OK to minimize the Hi-Track Service Manager to the system tray.

All Hi-Track applications, documentation, and associated files are:


Configuring the Modem Tab

A Note About Dial-Up on Older System Types

USPVM and earlier systems have a build-in modem and Hi-Track assumes that a modem is attached to the system. However, VSP G1000, VSP Gx00, VSP, and HUS VM storage systems do not have a pre-installed modem. As a result, Hi-Track does not support dial-up data transfer or RAS dial-back by default on these systems. To enable dial-up support, users can optionally install one of the HiTrack approved modems. The list of Hi-Track approved modems can be found in Configuring Hi-Track as a Site Manager Only.

In version C.1 or above, the HiTrack Service Manager is able to detect whether a modem is attached to the VSP G1000, VSP Gx00, VSP, or HUS VM system and display the UI controls accordingly. For instance, if Hi-Track does not find a modem, the Answer incoming calls, Enable RAS dial-back, and Modem logs to keep controls are disabled.

The Modem Tab

Click on the Modem tab

The Hi-Track Site Manager service will discover the type of modem installed on the subsystem when you start the service. When it discovers the modem type, it will populate the Setup control with the default modem setup string for the modem. You can override the default modem setup string by changing the displayed string, but this is not recommended.

The Modulation control is described in the below subsection.

In the Site Phone Line group box, enter the phone number and outside long distance access code of this telephone line. This is not where you enter the phone number for the Hi-Track center. These values are used for the remote maintenance dial-back mechanism.

In the Modem group box, make sure the modem setting and setup string are correct.

If you want either the Site Manager or an SVP Agent to register using an explicit IP address (such as an IPv6 address), as in the case of a device having multiple IP addresses, this must be configured from the SVP Agent. See the Configuring Hi-Track as a SVP Agent Only section for more info.

Modulation

The Modulation dropdown list determines the first and the order of subsequent modulation schemes Hi-Track will employ to connect to the Hi-Track Center. Hi-Track regulates the modem speed by sending commands to the modem to specify the modem modulation scheme. For example, on a first attempt at a dialup call, Hi-Track will not specify any modulation scheme to the modem — in effect allowing the modem to connect at the maximum speed it is capable of (V90/56Kbps). If the connect attempt at V90 fails twice, Hi-Track will switch the modem to V34 modulation (V34 modulation supports a maximum speed of 33,600 Kbps). If the call with V34 modulation fails, Hi-Track will switch the modem to V32b modulation (which supports a maximum speed of 14,400 Kbps), and so on. The following are the modulation schemes that Hi-Track supports:

Attempt | Modulation | Maximum Speed
1 | not specified | 56 Kbps
2 | V90 | 56 Kbps
3 | V34 | 33.6 Kbps
4 | V32b | 14.4 Kbps
5 | V32 | 96000 bps
6 | V22b | 2400 bps

The choices in the Modulation dropdown list are:

V90 (up to 56 Kbps)
V34 (up to 33.6 Kbps)
V32b (up to 14.4 Kbps)
V32 (up to 9600 bps)
V22b (up to 2400 bps)

The top choice in the dropdown list (V90) is recommended under normal circumstances. Note that the modulation specified in this dropdown list is not a maximum modulation. It simply specifies the first modulation scheme that Hi-Track will use on a call and the order of modulation schemes that will be tried subsequently. For example, if a site team notices that a particular subsystem can never connect to the Hi-Track Center with V90 or V34 modulation but connects successfully at V32b, they may choose to change the modulation setting to V32b to avoid three consecutive failed calls occurring every day before the successful call with V32b modulation. To continue this example, with the modulation setting set to V32b, if the first call (at V32b) fails, the next attempt will use V32, the third will use V22b, and the fourth will wrap back to the top of the list and attempt connecting again at V90.

Important note: the number of times Hi-Track will attempt a call is specified in the Service Manager application in the Properties for a particular Contact Method. (Go to the Center tab, select a dial-up method defined in the "Contact Attempt Sequence" list and click Properties. The Contact Method Profile dialog will display. The Times to attempt text box is where you specify the number of attempts.) If the Times to attempt property of a call method is set to 3, for example, Hi-Track will only make three attempts to contact the Center with that call method. Therefore, if the first two attempts to connect at V90 fail, the final attempt will be at V34. So to get the full effect of this modulation regulation scheme, the Times to attempt property for the contact must be set to 6 or greater. (The default is 4 and adequate for all normal installations.)

All Hi-Track applications, documentation, and associated files are:


Configuring the Center Tab

This tab has a list box, labeled Contact Attempt Sequence, which represents the different methods that Hi-Track will use to contact the Hi-Track center. The first item in the list should be the preferred method of communications with the center.

However, if Hi-Track cannot contact the center via the preferred method, you may define alternate failover methods. For example, if the primary HTTPS connection cannot be established successfully, you may want Hi-Track to failover to a secondary FTP method, or to a dial-up method. For this example, we will define three contact methods.

In version C.6, Hi-Track introduces a variety of contact methods to add which are named after their destination like "HTTPS (ushtinet01)". These methods, if added, will pre-populate the needed contact method info for you so that you only need to verify the information is correct and click OK.

Hi-Track version C.2 displays a generic HTTPS contact method. Double click on the HTTPS (probably only) item in the list to bring up the properties page. An HTTPS contact method definition needs, at a minimum, an address, username, and password. At some customer sites, you may need to define the proxy server attributes to get HTTPS transfers working properly.

The Times to attempt control defaults to a value of 4. This means that Hi-Track will attempt to contact the center four times using this method before failing over to any secondary or additional contact methods. Change this value if you prefer a different value. Note that the number you enter here affects the number of times Hi-Track will retry this call method before moving on to the next defined call method. Thus, this value also affects how many different modulation schemes Hi-Track will attempt. (See the Modulation section above documenting the controls on the Modem tab for a more thorough description of how the Times to attempt property effects the call retry mechanism.)

Notice the Test button on this dialog. In the graphic above, the Test button is disabled because the Site Manager service has not yet been started. After you complete the configuration and start the services, if you return to this dialog at a later time you can test a contact method by clicking the Test button. (Note that to see the progress of the test call, you will have to view the Site Manager log.)

Click OK in the Contact Method Profile dialog. This will return you to the Center tab of the Hi-Track Service Manager.

You should see your primary contact method in the list. Now click the Add button. This will open the Add a Contact Method dialog.

Adding a Contact Method

Decide which type of contact method you want to add; then select the appropriate radio button and click Continue. Bear in mind that on VSP G1000, VSP or HUS VM, the Dialup telephone/modem is disabled if the Hi-Track service manager does not find a modem. It's also disabled on the VSP Gx00.

In version C.2, Hi-Track introduces a new transfer method called Manual. When this contact method is added, Hi-Track stores the collected data (Config.zip, csv.zip, Dat.zip) in the C:\HDS\ directory and will not transport them to the centers. The purpose of the Manual method is to allow Hi-Track to be used at customer sites that do not support a direct connection link to the Hi-Track Center. Using the Manual method, field engineers can copy the files into a different computer and transfer them from there to the Hi-Track Center. Note that you need to remove the already defined transfer methods before adding the Manual method.

For FTP contact methods, enter a network address (either an IP address or hostname), your username and password for this FTP server. Check the Use SSL checkbox if the FTP server and account you entered is to be secured with SSL. By default, HiTrack only transfers data to the HDS centers via FTPS. Uncheck the Transfer to HDS Only checkbox if you want to transfer to a non-HDS FTP server. By un-checking this box, Hi-Track does not verify that the sever certificate belongs to HDS during FTPS transfer. Use the Passive mode checkbox to set whether to use active or passive-mode FTP. We recommend using passive mode if possible as passive mode will have a greater likelihood of successfully transiting most firewalls.

Some client firewalls will require Hi-Track to use active-mode FTP connections. Use the edit boxes in the Port Range group if you want to restrict the range of ports that Hi-Track will use for active-mode connections.

Although we strongly recommend HTTPS and FTP for data transfer, you may configure Hi-Track to use dial-up on some system types. To enable dial-up data transfer, select it from the contact method list and in the properties page edit the phone number box to contain the primary dial-up phone number.

Next click OK in the Contact Method Profile dialog. This will once again return you to the Center tab.

Finishing Contact Method Configuration

Now you should see your three contact methods in the list. The Maximum sequence passes control allows you to adjust how persistent Hi-Track will be in contacting HDS before failing completely. You can select any value between 1 and 99. If you choose 4, for example (which is the default), Hi-Track will make four complete passes through the contact method list before giving up. Note that under normal circumstances — with everything set up correctly and working properly — the first attempt at the first contact method will succeed and complete normally. Contact methods beyond the first one in the list will only be attempted in the case of circumstances such as wrong phone numbers, bad phone lines, bad FTP addresses or passwords, or lost dial-tones or Internet connections.

The Call Time group box allows you to set the time of day for calls to the Hi-Track center. Note this setting may be changed by the Hi-Track center. The Weekly day drop list allows you to choose the day of the week that Hi-Track considers the daily call to be a weekly call. The only difference between a daily call and a weekly call is that, when using Dialup, the Hi-Track center will retrieve additional information from connected subsystems on the weekly call (namely, the configuration data which appears on the Hi-Track server web site).

You can click the Randomize button to cause Hi-Track to randomly select different values for both the time of the daily calls and the weekly call day. When Hi-Track starts up for the first time, the daily call time and day are randomized. We recommend that you leave the call time at its default random value to help normalize the times that sites call into the Hi-Track Center. Note: the value that you set for the daily call time may be changed by the Center during a daily or weekly call.

All Hi-Track applications, documentation, and associated files are:


Configuring the Subsystems Tab

Click the Subsystems tab.

Adding Additional Subsystems

This panel displays the list of subsystems under management by this Site Manager. If this Site Manager is running on an SVP Hi-Track will discover the subsystem type and serial number and populate the list with an entry for the local subsystem.

If the site has additional subsystem that will be reporting through this Site Manager system, the easiest way to configure the remaining subsystems is to finish the configuring this system as the the Site Manager and start the services, then install Hi-Track on each SVP Agent-only (back) systems. When you configure a site this way, the backs will self-register with the Site Manager and you won't have to type in serial numbers or IP addresses.

However if you prefer (or if you have already installed Hi-Track on the backs), you can proceed to define the backs in the Site Manager. To add additional subsystem definitions this way, click the Add button. This brings up the Subsystem Properties dialog box.

Type in the IP address of the subsystem you are adding and click OK.

Note: If an added subsystem does not exist on the same subnet as the Site Manager, you will have to explicitly define the IP address for that subsystem to use in that systems SVP Agent. See the section Configuring Hi-Track as an SVP Agent Only for more info.

When you return to the Subsystems tab, you will see your new entry in the list of subsystems. If the Hi-Track SVP Agent code is already installed and running on this subsystem, the Service Manager will automatically discover the subsystem type (USP, NSC, USP V, VSP, HUS VM, VSP G1000, VSP Gx00). If the SVP Agent is not yet running on the subsystem, the Type will display as "Unknown" until communications can be established with the subsystem.

If the SVP Agent code on the subsystem is running and communications are normal, you can double-click on the subsystem in the list to bring up the Subsystem Properties dialog again.

Notice that this time, you cannot edit the IP address of the subsystem. This is because Hi-Track is already communicating with the subsystem and has validated this information.

The controls you can use on this panel include an Allow FC-GS queries checkbox and View Log, Generate Data Files, Generate Dump Files and Dump Files buttons.

By default, the Allow FC-GS queries checkbox is checked. In the data file generation process of Hi-Track, two of the data files generated are the result of calling an API in the SVP microcode, which in turn, performs an industry standard FC-GS RNID query to attached host HBAs and switches. Under certain hardware/driver combinations, this query could result in problems with attached hosts or switches. If this checkbox is checked, Hi-Track will generate these data files. However, removing the check from this checkbox will cause Hi-Track to skip the generation of the FC-GS data files.

The Generate Dump Files button is introduced in version C.6. For system types other newer than NSC and USP, this feature allows you to generate and transfer an available AutoDump to the Hi-Track Call Center.

Click Close to close the Subsystem Properties dialog.

All Hi-Track applications, documentation, and associated files are:


Configuring the Notifications Tab

The Notifications Tab and Email Events

Click on the Notification tab in the Service Manager.

Occasionally customers have requested the ability to be informed if their storage subsystem experiences any problems. This feature is in response to this request. Email event notification in no way replaces the current daily call or incident call mechanisms. It is unrelated and is not a new transport method.

Consider all of the ramifications of email notifications prior to enabling this feature. (For example, if Hi-Track is configured to resend uncompleted SIMs each day, email messages will also be resent each day until all SIMs are completed. This feature may also result in additional contacts from the customer, possibly including duplicate cases being opened if a customer responds to an email.) If you configure email event notification at the request of a customer, be sure to explain explicitly to them that they do not need to take actions based on email messages they receive. HDS will still be notified of events and cases will be opened in the usual way. You may want to consult with your manager before enabling this feature.

There are three events that can cause email messages to be sent. These are:

  • When SIM messages occur
  • Hi-Track is unable to make contact with the HDS Center
  • TRC launches/terminates a RAS dial-back session

Whether or not Hi-Track sends an email for each of these events is individually configurable. In other words, you can configure Hi-Track to send email messages only when SIMs occur, only when the Hi-Track cannot contact the HDS Center, both, or never.

For Hi-Track to send email messages, it is necessary to know the IP address or host name of the customer's email server, and whether or not authentication is required by that server. If authentication is required by the customer's email server, you will need to obtain an SMTP user account and password from the customer for use with their email server.

To configure Hi-Track to send email messages for SIMs, click on the Notification tab of the Service Manager application, check the Send email notification of SIMs checkbox. Note that SIM message are not summarized. Use the SIM Severity combo box to send notification email based on the level of SIMS. For example, you can select Acute and Serious from the list to limit email reporting to SIMS with these levels. The default value of the combo box is “All” indicating that Hi-Track sends an email for each SIM that occurs. Check the Send email on RAS connect/disconnect checkbox to enable Hi-Track to send a notify email if a HDS personnel launches or terminates a RAS session. Hi-Track sends separate emails for each RAS connect or disconnect.

Check the Send email on Center transport failure checkbox if you want Hi-Track to send an email when it is unable to contact the Center. Hi-Track will not send an email for every failure to contact the Center. It will send one email message after it has exhausted all of the retries of each configured contact method and exhausted the number of sequence passes (passes through the entire contact method list) configured on the Center tab. This is a fairly rare occurrence — even with bad phone lines — and is indeed a condition about which a CSR and a customer should want to be notified.

Service provider name: enter the name of the service provider here. On new installations, this will default to "Hitachi Data Systems". The value you enter here will be used in the email messages that Hi-Track sends so that the messages are somewhat customized to the provider. Partner service providers may prefer that their company name be displayed in email messages instead of "Hitachi Data Systems".

Mail server: enter the host name or IP address of the customer's mail server. The customer will have to provide this information.

Port: Enter the SMTP port number. The standard SMTP port is 25.

From: A "From" identity is required. If the customer's email server requires authentication, you will need to put the new email address obtained from the customer in this control (for example "HDS_Support@customername.com. If the customer's email server does not require authentication, you can often supply a fictitious (but more descriptive) identity, for example "HDS-USPV-10032@customerCompany". (Either way, what you supply in the From address needs to look like a valid email address and include the @ sign and no space characters. Also be aware that a fictitious email address may result in email messages from the agent to be marked as spam by filters. However with most filters you can usually mark them as "not spam".)

Use authentication, SMTP user, and password: When you get permission or a request from the customer to send email messages, you will need to collect some information from them about their mail server: it's host name or IP address and whether or not it requires authentication from inside of their firewall are the first two questions to ask. It is common for organizations not to require authentication to send an email from inside of their firewall. If their server does require authentication, the next question to ask is if they will provide you with an email account for Hi-Track to use. If they provide you with an email address to use, use that address in the From box, check the Use authentication checkbox, and enter the SMTP username and password in the text boxes provided.

Use SSL: Specifies whether SSL is used to access the specified SMTP mail server. The mail server is required to support secure connections and advertises STARTTLS in the response to the EHLO command.

Email addresses: enter each email address you want Hi-Track to send messages to in this text box. Separate the list of addresses by putting each one on a separate line.

Send Test Email: Be sure to test your email settings and addresses before leaving the site. To test your settings, click the button labeled "Send Test Email". Hi-Track will send a test message immediately or describe any problems it encounters with your email settings.

All Hi-Track applications, documentation, and associated files are:


Configuring the AutoDumps Tab

Configuring the AutoDump Tab

On the AutoDumps tab, the default and recommended setting is to enable everything within the "AutoDumps Request" panel.

The Enable SIM triggered AutoDump transfer option determines whether or not a SIM can trigger the generation and transfer of a Detail AutoDump. The AutoDump will only be triggered for SIMs with particular reference codes.

The Enable web interface for AutoDump requests starts and stops the Hi-Track Dump Interface IIS Express Web Host service. This feature enables users who don't have access to a front's SVP but who do have access to the web interface to request AutoDump generation and transfer for one of the front's subsystems.

The Enable polling for AutoDump requests from Hi-Track Center option starts and stops polling of the Hi-Track Center for AutoDump requests. The polling settings can be changed by clicking the Edit Polling Configuration button. Modifications may include the poll watch interval (which must be 120 seconds at the minimum), servers to poll, and the HTTP proxy and authentication needed to reaching the poll servers.

All Hi-Track applications, documentation, and associated files are:


Configuring Contact Methods for Proxy Servers

Hi-Track offers capability for configuring FTP and HTTPS Contact Methods to use several types of proxy servers that may be in operation at customer sites. The types of proxy servers Hi-Track supports are:

  • Simple FTP Proxy
  • SOCKS4 Proxy
  • SOCKS5 Proxy
  • HTTP Proxy

Simple FTP Proxy

The most common type of FTP proxy is a simple FTP proxy. With a simple FTP proxy, a user inside of a corporate firewall can perform FTP connections and transfers with FTP servers outside of the corporate network by connecting to the FTP proxy and when prompted for a username, providing one in the form of username@remotehost. When prompted for the password, you supply the password for the remote FTP server.

To configure Hi-Track to use a simple FTP proxy, put the address of the HDS Center FTP or HTTPS server in the HDS host control and the username and password for that FTP server in the controls immediately below the HDS host labeled Username and Password. In the Proxy Server group box, open the Type drop-down list and select Simple FTP Proxy. Enter the host name or IP address of the client's FTP proxy in their respective controls.

Most of the time, this will be all you need to do. However if the client's FTP proxy is not on the default FTP port of 21, specify the correct port in the Port control.

Occasionally, a simple FTP proxy will require separate login credentials. In this case, enter the username and password in the controls provided.

A completed typical Simple FTP Proxy configuration is pictured in Figure 2.

SOCKS Proxy Servers

To configure Hi-Track for a SOCKS proxy, select SOCKS4 or SOCKS5 as appropriate from the drop-down list and enter the applicable parameters for the SOCKS server. Note that legacy proxy servers such as SOCKS are notoriously problematic and often do not work easily with secure FTP.

HTTP Proxies

HTTP proxies expect to send and receive HTTP (web) requests from Hi-Track. For clients equipped with HTTP proxies, enter the address and port of the proxy. Unfortunately, a standard implementation of this type of proxy is elusive.

HTTP Proxies

Open a case with TRC and work through the problem. You may need to work with the client company's IT staff and may need to use tools to capture TCP/IP packets and analyze them to determine the nature of the problem. Do not contact the Hi-Track development team directly. When you contact the Hi-Track development team, this deprives TRC staff of the opportunity to develop skills and knowledgebase articles to assist others with similar problems.

All Hi-Track applications, documentation, and associated files are:


Configuring RAS

Beginning with Hi-Track version B.7 it is no longer necessary to manually configure the SVP for RAS dial-back. Hi-Track will configure the SVP for RAS dial-back automatically. However whether or not RAS dial-back is enabled is still determined by controls on the Site tab of the Service Manager application and the Remote Maintenance switch on the subsystem control panel.

For detailed directions for testing the RAS dial-back functionality, see the Testing a RAS Dial-back Connection.

All Hi-Track applications, documentation, and associated files are:


Finalizing Hi-Track Configuration

Finishing Up Hi-Track Configuring

Finally, return to the General tab and click Apply. The Apply button (and the OK button) perform some rudimentary checks on your configuration. You may receive one or more error messages and possibly some warning messages. Correct any errors and click the Apply button again.

When your configuration appears to be OK, Hi-Track will ask if you want to start the services. If you click Yes to the prompt to start the services, they should start up and the red visual cues should turn green.

Click any enabled log buttons on the General tab if you would like to watch the startup process.

Click the Utilities tab, and click the Test Now button to test network connectivity to the Site Manager and each SVP Agent.

With both the Site Manager log and Agent logs open in a window so you can see the progress, perform a manual transfer to the Center by clicking the Transfer Now button. We recommend doing a Weekly transfer because a weekly transfer will transfer the system configuration which will then be available to see on the Hi-Track web site.

Close the log windows when you are finished viewing them. Leaving them open permanently is not recommended for several reasons: they unnecessarily add to network traffic and overhead, consume memory resources on the SVP, and nobody is there to see them anyway.

Click OK to minimize the Hi-Track Service Manager to the system tray.

All Hi-Track applications, documentation, and associated files are:


Testing the SVP Agent

Once you have installed, configured, and started up the SVP Agent service, there's not much to do but test network connectivity and perhaps data file generation. A normal startup sequence looks like the following:

Testing Data File Generation

To test data file generation:

  • Open the Agent log to view the log file (if it's not still open after the above procedures).
  • Click on the Subsystem tab.
  • Double-click the first (only) subsystem in the list.
  • In the Subsystem Properties dialog, click the Generate Data Files button.
  • View the progress in the log.

Testing AutoDump Generation

The site manager must also be running to test AutoDump generation, because the generated AutoDump is transferred to the Hi-Track Center (or wherever the transport method points):

  • Open the Agent log to view the log file (if it's not still open after the above procedures).
  • Click on the Subsystem tab.
  • Double-click the first (only) subsystem in the list.
  • In the Subsystem Properties dialog, click the Generate Dump File button.
  • Select the desired AutoDump type from the pop=up window and click Generate.
  • View the progress in the log.

Do note that the subsystem enters a 2 hour lockout period after each successful AutoDump generation, during which any subsequent requests will be refused until the lockout period finishes.

Testing Network Connectivity with the Site Manager

To test network connectivity:

  • Ensure that the Site Manager service is running on the front.
  • Open the Hi-Track Service Manager by double-clicking its icon in the system tray.
  • Select the General tab and ensure that the SVP Agent service is running.
  • Select the Utilities tab and click the Test Now button.
  • View the SVP Agent Connectivity Test report. If it displays the Hi-Track version, the back is functioning normally.

On a properly configured back, the network test report should look like this:

If the back cannot communicate with the front, the network test report will look like the following:

The line labeled Site Manager indicates whether the back is able to communicate with the the front. If you see the above error message, it likely indicates that the Site Manager service is not running on the Site Manager.

All Hi-Track applications, documentation, and associated files are:


Site Manager Operations

Testing Network Connectivity between the Site Manager and SVP Agents

To test the Site Manager, first establish a Remote Desktop session into the SVP running the Site Manager (or log in to the system in the case of a standalone PC). Then:

  • Open the Hi-Track Service Manager
  • Select the General tab and ensure that the front service is running
  • If the system is on an SVP, also ensure that its back service is running
  • Select the Utilities tab and click the Test Now... button
  • View the SVP Agent Connectivity Test report. If it displays the versions for the Service Manager, the front, and each of the backs (including microcode levels for the backs), then Hi-Track is functioning normally.

The SVP Agent Connectivity Test report will indicate the versions of the Hi-Track Service Manager, the Site Manager, and it will indicate whether or not it is able to communicate with the configured SVP Agents.

The report above indicates that the Site Manager service is running properly, and that the SVP Agents are configured correctly and running.

Manual Transfers to the Hi-Track Center

Once you have established network connectivity between the front and all of the managed backs, perform a test contact to the Hi-Track Center. To do this, perform the following steps:

  • If the logs are not already open, they can be opened from the General Tab
    • If there are multiple backs being managed, the logs for each can be opened from the Subsystem Properties dialog of each back
  • Click on the Utilities tab of Service Manager on the front
  • Select either a daily or weekly call
  • Check the Generate new data files checkbox
  • Click the Transfer Now button
  • Watch the progress of the transfer in the log viewers. You should see:
    • The file generation progress in each back log
    • When file generation is complete on all the backs, you should see the transfer take place in the front log
    • If the primary transfer method is FTP, after the FTP completes, you should see a test call to the Center taek place

All Hi-Track applications, documentation, and associated files are:


AutoDump Operations

Version C.6 of Hi-Track introduces four methods of generating and transferring AutoDumps to the Hi-Track Center (or wherever the transport method directs). These methods are supported on the VSP Gx00, VSP G1000, HUS VM, VSP, and USP V/VM:

  • SIM Triggered AutoDumps
  • Hi-Track Service Manager
  • Web Interface
  • Dump Polling

There is a 2 hour lockout period after every successful AutoDump generation, during which any subsequent requests will be refused by the subsystem until the lockout period finishes.

AutoDump transfers use the contact methods listed in the Center tab. Follow the directions in the page Configuring the Center Tab to populate and learn how to use the controls on the Center tab.

SIM Triggered AutoDumps

The Enable SIM triggered AutoDump transfer option under the AutoDumps tab determines whether or not a SIM can trigger the generation and transfer of a Detail AutoDump. The AutoDump will only be triggered for SIMs with particular reference codes.

Hi-Track Service Manager

From the Hi-Track Service Manager, you can trigger an AutoDump by selecting a subsystem from the Subsystems tab, pressing the Properties button, pressing Generate Dump File tab, and selecting an AutoDump type.

Alternately, from the Hi-Track Service Manager, you can trigger an AutoDump for all of a front's subsystems from the AutoDumps tab by pressing the Trigger Dump For All Subsystems button.

In either case, you can view the progress of the AutoDump from the Agent Log and the progress of the transfer from the Site Manager Log.

Web Interface

There are two ways to access the AutoDump Interface:

  • The Hi-Track AutoDump Web Interface shortcut in the start menu
  • The address https://IP:PORT/ where IP is the front's IP address and PORT (the default value is 4431) is the port that was configured during installation. IP can also be replaced with "localhost" in the url when on the Site Manager itself.

Either will navigate you to the web application. You will be notified by the browser that the default SSL certificate provided for the site is not trusted and prompted to proceed. After proceeding, the initial administrative login user is "admin" and the password is "default". Upon logging in, the administrator will be prompted to change their password. You may do so or navigate elsewhere.

Additional users may be added by clicking the User navigation link at the top and then the Create a New User link on the User page. Created users can be assigned a role:

  • Viewer: This group can only view a Site Manager's subsystems and the logs.
  • User: This group can only view a Site Manager's subsystems, submit AutoDump requests, and view the logs.
  • Admins: This group can do everything including being able to view a Site Manager's subsystems, submit AutoDump requests, edit the AutoDump Interface's configuration, edit users, and view and edit the logs.

In addition, LDAP authentication can be configured by navigating to Configuration, clicking "Edit", and filling out the fields on that page. Once completed, click Test to verify the LDAP configuration. Once verified, an Implement Now button will appear. Re-enter the "Initial Administrator" password, then press Implement Now to commit the changes.

Local authentication may be re-enabled by editing the configuration and clicking Implement Local Authentication. You will be prompted to set up a new "Local Administrator" username and password. Then you will have to click Implement Local Authentication again to commit the changes.

The list of available subsystems to select can be found on the Home page, or a warning message if the Hi-Track Site Manager isn't currently running on the front. Select the desired systems by checking the boxes next to their serial number. When finished with your selection, click Submit Dump. Note that checkboxes will be disabled for unsupported system types.

On the next screen, enter the numerical portion of an SR number if you want to associated the dumps generated with an SR Number. Then select the desired AutoDump type from those available. If batching a request for multiple systems, the dump types available will be limited to those of the system type with the most dump type restrictions, i.e. having a USP V in your list of selected systems means you can't request a batch dump of Mode 31.

Once picked, you'll be prompted to return either to Home or view the progress of the AutoDump request in the Log.

In the Log, you can sort messages by the date range or severity. You can also choose to have the log permanently scrolled to the bottom to view the latest messages as they come in. Also, you can delete a range of messages by clicking Clear and selecting a date range, or save the logged messages to a csv file by clicking Export.

Resetting the Password

If the password to the dump interface is forgotten, it can be reset from the AutoDumps tab in the Hi-Track Service Manager. Click the Interface Configuration button to open up the Dump Interface Configuration window. Click Reset Interface Password to reset the password to the default values. The results of the operation can be viewed in the Service Manager Logs.

Installing a Customer Certificate

If a customer would like to install their own SSL certificate for the dump interface, they may do so manually with the following procedure. The customer will need the thumbprint (with white spaces removed) of the certificate to be installed on hand, as well as the port that the dump interface is bound to. In this example, the thumbprint will be 01234012340123401234 and the port will be 4431. You will need to replace the thumbprint in the examples with the actual thumbprint of your certificate.

  • If the desired certificate is not already in the certificate store, import it. This can be done by…
    • Use Run to open mmc
    • Ass the Certificates snap-in for your Computer account
    • Open the Personal collapsible item, right click Certificates, and select All Tasks > Import
    • Select the certificate you would like to import into the store
  • If the machine is running Windows XP or Windows Server 2003
    • From a command prompt, run the command “httpcfg delete ssl –I 0.0.0.0:4431 –h”. This should complete with a 0 or 2.
    • Run the command “httpcfg set ssl –I 0.0.0.0:4431 –h 01234012340123401234”
  • If the machine is not running Windows XP or Windows Server 2003
    • From a command prompt, run the command “netsh http delete sslcert ipport=0.0.0.0:4431”. This command should return with a message about the certificate being successfully deleted or mention that it cannot find the file specified.
    • Run the command “http add sslcert ipport=0.0.0.0:4431 certhash=01234012340123401234 appid={DDC2988C-59F7-4E22-82E9-15AAB960AD64}”

Dump Polling

From the Hi-Track Site Manager, you can enable AutoDump polling from the AutoDumps tab and edit the poll configuration by pressing Edit Polling Configuration.

If enabled, the Hi-Track Site Manager will poll at the configured number Poll Watch Interval seconds, cycling through the servers listed under Poll Servers. If a request for the SiteID exists, the Hi-Track Site Manager will trigger and transfer an AutoDump for the requested AutoDump type and subsystem serial number.

Note: for this feature, the Hi-Track Site Manager must be able to reach poll servers, so a proxy and authentication may need to be configured for polling.

All Hi-Track applications, documentation, and associated files are:


Remote Maintenance

Note: See the note at the bottom of this page entitled Important note for Customer Engineers.

Prerequisites for Remote Maintenance

The following are required for Remote Maintenance:

  • The SVP must be equipped with a supported modem and the drivers properly installed and functioning.
  • The Enable RAS dial-back checkbox on the Site tab of the Site Manager must be checked.
  • Any required long distance access code must be entered in the Site Phone Line group on the Modem tab.
  • The Answer incoming calls checkbox on the Modem tab must also be checked.
  • Hi-Track must be otherwise fully configured (including a dial-up contact method).
  • A dial-up daily, weekly, or test call must have been placed to the Center successfully.
  • The physical Remote Maintenance switch on each and every subsystem under management must be on (enabled).

First time Walkthrough testing Remote Maintenance

If you are not experienced with earlier version of Hi-Track (B.x or C.x), you may find this walkthrough helpful the first few times you set up Hi-Track.

  • Ensure that the Remote Maintenance switch is on (enabled) on all of the subsystems under management by the Site Manager. If even one subsystem Remote Maintenance switch is in the disabled position, the Site Manager will not allow the RAS dial-back session.
  • Establish a Remote Desktop connection to the Hi-Track Site Manager.
  • Open the Hi-Track Service Manager.
  • Select the General tab and ensure that the appropriate system services are running. If the Site Manager is an SVP, both the Site Manager and SVP Agent services should be running. If the Site Manager is a standalone computer, only the Site Manager service should be running.
  • Select the Modem tab and ensure that the group box entitled Site Phone Line is completed correctly. The Phone Number control should contain the phone number for the telephone line plugged into the modem on the Site Manager. The Long distance access control should contain any digits or characters which should be dialed to obtain access to long distance service (for example, "9,1"). You can use the comma character to make the modem pause between digits.
  • Also on the Modem tab, ensure that the Answer incoming calls checkbox is checked.
  • If you made any changes to this point, be sure to click Apply before continuing.
  • On the General tab, click the Site Manager Log button to display the Site Manager log.
  • If this system has never before placed a call to the Center, you must place a call before RAS dial-back will work. If needed, select the Utilities tab and select the Dialup Test transfer type and click the Transfer Now button. You can watch the progress by going back to the General tab and clicking the Agent Log button. If the front is configured to do FTP file transfers to the Center, it will place a test dial-up call after the FTP transfer completes successfully.
  • After the dial-up call to the Center completes successfully, call TRC and have someone initiate a RAS dial-back and connect to the system with Remote Desktop (you will need to provide TRC with the name of your customer and the phone number for the Site Manager).
  • If you are logged in and watching the Site Manager log when the inbound call from TRC comes in, you can follow along as Hi-Track answers the phone, receives the launchRasDialback command, hangs up the phone, and dials back to TRC. As soon as the RAS session connects and becomes active, you should see the RAS warning message appear on the SVP desktop as in the following graphic.

This message will appear on the Site Manager system (the front) and also on each SVP agent (the backs), and will remain visible as long as the RAS session is active. When TRC logs into the SVP with Remote Desktop, your Remote Desktop session will be terminated. This is normal. When TRC releases their Remote Desktop session and the RAS session, you can log back into the system with Remote Desktop.

Important note for Customer Engineers: When you see the red warning in the above graphic, understand that TRC has established a RAS session with the Hi-Track Site Manager with the likely intent of establishing a Remote Desktop session to the Site Manager, and possibly other SVP Agents under management. Heed this warning. If your Remote Desktop session is terminated, it is likely because you interrupted the TRC Remote Desktop session and they re-established it. Do not re-establish another Remote Desktop session to any of the SVPs under management until you have contacted and coordinated with TRC.

All Hi-Track applications, documentation, and associated files are:


Monitoring Hi-Track

When Hi-Track starts up for the first time, it creates a directory structure under C:\HDS on the C: drive of the installation system for output generated by Hi-Track. Detailed log files are generated by Hi-Track and placed in the directory C:\HDS\Logs. There are four types of log files:

  • Site Manager logs
  • SVP Agent logs
  • Hi-Track Service Manager logs
  • the Transport Logs

For the first three log types (those other than the transport log), new log files are created each day, with the date being part of the file name. For example, for February 14, 2008, the filenames would be 20080214-Front.log, 20080214-Back.log, and 20080214SvcMgr.log.

Of these dated log files, logs older than 30 days are deleted each day.

The transport log is named simply transport.log. This log contains a record of every transfer attempted from this Site Manager and whether the transfer succeeded or failed. This log is never deleted or overwritten by Hi-Track.

Viewing Log Files in the Hi-Track Service Manager Application

From the Hi-Track Service Manager, you can view the current day's local log files by clicking the appropriate button on the General tab of Hi-Track Service Manager. If the Hi-Track installation is both the Site Manager and an SVP Agent (both front and back), you can view both the front and back logs by clicking the appropriate button on the General tab. Additionally, you can view the Hi-Track Service Manager log by clicking the button labeled Service Mgr Log. The transport log cannot be viewed through the user interface.

Note: the log buttons in the Hi-Track Service Manager will display the log file for the current day only. To view previous log files, open the directory C:\HDS\Logs, select the log you would like to view, and double-click it to open it in Notepad.

Viewing Log Files Remotely

From the Hi-Track Site Manager, you can also view the SVP Agent logs of remote SVP Agents. To do this:

  • Go to the Subsystems tab
  • Double-click the subsystem in which you are interested
  • Click View Log

Note: the log buttons in the Hi-Track Service Manager will display the log file for the current day only. To view previous log files on a remote SVP Agent you need to establish a Remote Desktop connection into the remote SVP, open the directory C:\HDS\Logs, select the log you would like to view, and double-click it to open it in Notepad.

Sending SVP Dumps to the Hi-Track Center

From the Hi-Track Site Manager, you can trigger sending a dump from any SVP Agent to the Hi-Track center. To do this:

  • Go to the Subsystems tab
  • Double-click the subsystem in which you are interested
  • Click Dump Files...
  • Select the dump file you want to send and click Send

Note: sending a dump file to the Center this way does not create a new dump file. It only allows you to choose an existing dump file on the particular SVP Agent. If you need to send a current dump file, you must either remote desktop to the SVP and generate the dump file first or use one of the AutoDump generation methods listed in AutoDump Operations. Sending a dump will not generate new data files. If you want to include the dump file with up to date data files, click the Generate Data Files buttons and wait for the file generation to complete before clicking the Send Dump button. (You can monitor the progress of file generation by clicking the View Log button if the log isn't already open.)

Testing the Configured Contact Mechanism

On the Utilities tab of the Hi-Track Service Manager Application (on the Site Manager), you can perform a test call to the Center, or test a daily or weekly call. Clicking the Transfer Now button will cause Hi-Track to use the configured contact sequence to place a daily or weekly call to the center. (You can monitor the progress of the contact by viewing the Site Manager and SVP Agent logs.)

All Hi-Track applications, documentation, and associated files are:


Troubleshooting

Problems with the Hi-Track Setup program (Hi-Track Setup.exe)

The setup program checks to see if required components are installed on the target system and installs them if not, then it installs Hi-Track. No problems with the setup program are known or anticipated, however, in the event that the setup program does not operate as expected, you can perform the Hi-Track installation manually.

Previous versions of Hi-Track B.x had a dependency on the Microsoft .NET Framework version 1.1. Hi-Track version B.7 and later used version 2.0 of the .NET Framework. Hi-Track version C.4 and later used version 4.0 of the .NET Framework. Current versions of Hi-Track, C.D and onwards, use .NET Framework 4.6, which has a dependency on an operating system component called the Windows Installer 3.1. This component is installed automatically by Windows XP Service Pack 2. If you need to install Hi-Track on a system that has not been updated to Service Pack 2, the preferred path of action is to upgrade the SVP to SP2 and apply all additional required patches. However, if this is not possible you may upgrade the Windows Installer by applying the patch located in the \Prerequisites directory of the installation media. After applying SP2 or manually applying the Windows Installer patch, you may install Hi-Track by following the directions above.

To perform a manual installation, follow these steps:

  • Insert the Hi-Track media into the system's CD drive or media port, or copy the installation files onto the SVP and put them in an empty directory.
  • If you are aware that the .NET Framework 4.0 is already installed on the system, you may skip this step. Navigate to the Hi-Track directory of the installation media and execute the file named dotNetFx46_full_x86_x64.exe. If this program brings up a dialog that gives you choices for "Repair" and "Uninstall", you may click Cancel and skip this step. This program will install the Microsoft .NET Framework 4.6. If this installation fails due to a lack of prerequisite software, see the note above about prerequisite software.
  • Execute the file in the Hi-Track directory named HTA.msi by double-clicking it. Follow the prompts on the screen and then Close on the final panel. If this installer presents you with the choices "Repair Hi-Track" and "Remove Hi-Track", Hi-Track is already installed and you may chose to cancel or repair the installation.
  • Launch the Hi-Track Service Manager application manually from the Start menu by selecting All Programs/Hitachi Data Systems/Hi-Track/Hi-Track Service Manager.

The Hi-Track Service Manager icon does not appear in the System Tray

If you have installed Hi-Track and the Hi-Track Service Manager icon does not appear in the System Tray:

  • Verify that Hi-Track was installed in the directory C:\Program Files\Hitachi Data Systems\HiTrack.
  • Look in the directory C:\Documents and Settings\Administrator\Start Menu\Programs\Startup and ensure that a shortcut exists in this directory to the file ServiceMgr.exe in the installation directory. If a shortcut does not exist, create one.
  • To start Hi-Track Service Manager without rebooting, double-click the file ServiceMgr.exe in the installation directory, or from the Start Menu, choose All Programs/Hitachi Data System/Hi-Track/Service Manager. The Hi-Track Service Manager icon should appear in the System Tray.

The Hi-Track Service Manager application does not appear when you double-click the Hi-Track Service Manager icon in the System Tray

It is probably behind the SVP application or another application. Minimize any open applications and you should find the Hi-Track Service Manager application.

The service or services don't start, but no error is displayed or logged in the log files.

Check the system event log (Administrative Tools/Event Viewer). An error may have occurred before Hi-Track could initialize the logging system.

After re-installing Hi-Track, the Hi-Track Service Manager application does not appear.

Check the system tray for the Hi-Track icon. An uninstall does not remove your previously-defined configuration, and when Hi-Track starts, if it finds a configuration it does not display the Hi-Track Service Manager application.

After installing Hi-Track, I get a message that a modem could not be found.

Check to ensure that a modem is installed and that the drivers are properly installed. If this happens after installing Hi-Track on a non-SVP system (such as a stand-alone system to function as the Site Manager or front), an incoming dial-up connection may be defined in the Control Panel/Network Connections. An incoming connection being defined results in the operating system needing to open and hold a connection to the modem preventing Hi-Track from taking control of the modem. Either delete the incoming connection, or install a second modem and manually configure Hi-Track to use the new modem.

When I click a Log button in the Service Manager application, no log window appears.

The log window may already be open and may have been positioned on a larger desktop in a location outside of the visible area on your desktop. Try clicking the Arrange button to reposition it for your desktop.

I installed Hi-Track on a system with open SIMs and Hi-Track does not report them.

Hi-Track cannot report SIMs that occurred before it was installed. It does not poll the SVP to determine if there are open SIMs. Rather, it is notified directly by the SVP application when a SIM occurs. Therefore, SIMs that occurred before you installed Hi-Track will not be reported.

I see Did not generate ... .dat, but also didn't produce a fail status messages in the back logs.

Hi-Track data generation relies on certain amounts of the CPU being available. Particularly for DCR.dat, DEV,dat, DKC.dat, Einfo.dat, and HDEV.dat generation. As such, a very CPU intensive process like daily disk defragmentation or a CPU intensive virus scans can interfere with Hi-Track's ability to generate a complete set of configuration data. In those cases, you should offset either the daily runtime of the other process or the configured data generation time in Hi-Track.

Other Problems?

First, check the HDS Memory KnowledgeCenter. Perform a search for the term "htb.x" (without the quotation marks). This will bring up knowledgebase articles relating to the B.x series of Hi-Track. Every known issue and problem is documented in the knowledgebase and is maintained on an ongoing basis. Looking here is the quickest way to find the answer to any problems you may have with Hi-Track C.x.

If you cannot find the answer to your question in the Memory KnowledgeCenter, contact TRC with log files and any other relevant information about your problem.

Please do not contact the development group directly.

All Hi-Track applications, documentation, and associated files are:


Miscellaneous Technical Information

Technical Information

Under normal circumstances, CSRs and site teams should not need the information presented in this section. However under some circumstances the information here could be helpful.

The Hi-Track Services

Normally you will control the Hi-Track services (Site Manager, SVP Agent, and Dump Interface IIS Express Web Host) through the Hi-Track Service Manager. However, you can start and stop these service manually either through the Windows Services applet or at a command prompt. The short names of these services are htfront, htback, and htdumpwebhost respectively. To stop and start the htfront service manually at a command prompt for example, you can type:

  • net stop htfront
  • net start htfront

If the Hi-Track Service Manager is open and displaying the General tab while you perform such an operation, you will be able to see the service stop and then start again.

Uninstalling the Services

System services are different than regular Windows programs. Services must be installed before they can be used, and remain installed whether the service is running or not until they are uninstalled.

The first time it runs, the Hi-Track Service Manager installs the Hi-Track services on the target system. An uninstall performed on Hi-Track will stop and uninstall the services. There should never be any need to manually uninstall the Hi-Track services. But if such a need did arise, they can be uninstalled without running the Add/Remove Programs and completely uninstalling the Hi-Track software.

In the installation directory is an executable program named UninstSvc.exe. Executing this program will uninstall both system services without removing Hi-Track from the system. If you uninstall the services this way, reinstall them by running the Hi-Track Service Manager. (If the Hi-Track Service Manager is running when you run UninstSvc.exe, you will need to close it and restart it.)

Service Recovery Settings

When the Hi-Track services are installed, the recovery services are set up to restart a service after a one-minute wait period if it should fail for any reason.

Hi-Track Service Manager on SVP Agents

When Hi-Track is installed on a system, the installation program places a shortcut to the Hi-Track Service Manager (the GUI application) in the startup folder for the Administrator. It is important that this shortcut remain in the startup folder — especially on USP and NSC SVP Agents — because the code that catches SIM notifications is actually in the Hi-Track Service Manager application.

If Hi-Track should notify the Center in the event of SIM messages, the Hi-Track Service Manager must be running to catch SIM events.

Data Communication Ports

Hi-Track uses four TCP ports to communicate between Site Managers and SVP Agents. These ports must be open for Hi-Track to work properly. The four ports Hi-Track uses are: 2056, 2057, 2058, and 2059. SVPs configured at the factory should always be pre-configured with these ports open. However even if the ports are not already open, they should not need to be opened manually. Each time the Hi-Track Service Manager (the GUI application) starts up, it will attempt to whitelist the Hi-Track services and applications with the Windows firewall.

On rare occasions, a customer configuration may involve storage subsystems on different subnets or VLANs with switches, routers, or NAT devices separating the subsystems. If the customer firewall policies are very strict, these devices may be set to disallow TCP traffic between the subnets or VLANs destined for certain TCP ports. Or in other words, these devices may be set to allow traffic on a few well-known ports (21, 25, 80 and 8080 for example) and to disallow all other ports.

If it should prove to be impossible to use the default ports, these ports can be changed. In the Hi-Track installation directory (C:\Program Files\Hitachi Data Systems\HiTrack), there is a file named RemServer.config. This file is an XML file and the contents should look like the following:

IMAGE HERE

After you change a port setting in this file, if the Hi-Track Service Manager is running, it will notify you that the configuration file has changed and ask if you would like to restart the services. You must make the same changes on all SVP Agents as well as the Site Manager and restart the services on all systems.

All Hi-Track applications, documentation, and associated files are:


Hi-Track C Series

 Hi-Track Version C.D Hitachi Data Systems
Installation Notes

This version of Hi-Track supports the following HDS storage products, so long as they run the supported Windows OS versions:

Virtual Storage Platform Gx00 (VSP Gx00)
Virtual Storage Platform G1000 (VSP G1000)
Hitachi Unified Storage VM (HUS VM)
Virtual Storage Platform (VSP)
Universal Storage Platform VM (USP VM)
Universal Storage Platform V (USP V)
Network Storage Controller (NSC55)
Universal Storage Platform (USP)

Hi-Track versions C.D and onward use Microsoft .NET Framework 4.6, which supports the following Windows OS versions:

Windows 10
Windows 8.1
Windows 8
Windows 7 SP1
Windows Vista SP2
Windows Server 2012 R2
Windows Server 2012
Windows Server 2008 R2 SP1
Windows Server 2008 SP2

Please Note: This drops support for Windows XP and Windows Server 2003.

See the release notes for important information about bug fixes and new functionality included in Hi-Track.
See the Hi-Track help file for detailed instructions for installing and configuring Hi-Track.
See the section at the bottom of this document titled Important Notes for installation notes.

Installing Hi-Track on the VSP Gx00, VSP G1000, HUS VM, VSP, USP V, and USP VM

Since the USPV, USPVM, VSP, HUSVM, VSP G1000, and VSP Gx00 are not equipped with CD-ROM drives, you can install Hi-Track in one of two ways:

  1. Follow the directions below for installing Hi-Track remotely, or:
  2. Copy the content of the Hi-Track CD onto a memory stick and follow the directions below for installing Hi-Track from removable media.

Installing Hi-Track on the USP or NSC

Since the USP and NSC subsystems are equipped with a CD-ROM drives, you can install Hi-Track in any of three ways:

  1. Insert the Hi-Track CD-ROM into the SVP drive and follow the directions below for installing Hi-Track from removable media.
  2. Follow the directions below for installing Hi-Track remotely.
  3. Copy the content of the Hi-Track CD onto a memory stick and follow the directions below for installing Hi-Track from removable media.

Installing Hi-Track from Removable Media

  • Insert the Hi-Track media into the appropriate CD drive or USB port of the SVP.
  • Launch a Remote Desktop session into the SVP.
  • Open Windows Explorer and navigate to the CD or USB drive.
  • Navigate into the Hi-Track directory on the drive.
  • Double-click the Hi-Track Setup.exe program in that directory.
  • Close or minimize any open windows so that you can see the installation program.
  • Follow the on-screen directions and prompts.

Installing Hi-Track Remotely

  • Insert the Hi-Track CD into the CD-ROM drive of your local system.
  • FTP or otherwise transfer the file HtRemoteInstall.zip to the remote SVP.
  • Launch a Remote Desktop session into the SVP.
  • Navigate into the Hi-Track directory.
  • Execute the setup program (Hi-Track Setup.exe) by double-clicking on it.
  • Follow the directions presented by the installer and click Continue on the final panel of the installer.
  • Verify that the Service Manager reports the correct version in the lower right-hand section of the panel.
  • Start the appropriate services by clicking the Start buttons.
  • Open the log files to view the startup messages and ensure that the correct version is reported.
  • Click OK to minimize the Service Manager application to the system tray.

Configuration

For detailed step-by-step installation instructions and explanations, see the User Guide in the Hi-Track help file on the root directory of the installation media. After installation, the User Guide is available through the Help button in the Hi-Track Service Manager application.

These directions are for the simplest and most common configuration — a single system as both SVP Agent and Site Manager. For other configurations, see the Users Guide in the Hi-Track help file.

  • Close the installation program and close or minimize any other open windows (other than the Hi-Track Service Manager).
  • Click on the Site tab of the Hi-Track Service Manager and e nter the site ID (which is required) and optionally the customer name.
  • Click the Modem tab and enter the phone number for the subsystem's telephone line.
  • Also on the Modem tab, enter the code to dial to access an outside line (if applicable).
  • Click the Center tab and edit the contact methods list.
  • Click the Subsystems tab and validate the first entry in the list as the local subsystem.
  • Click the General tab and click the Site Manager Log and Agent Log buttons to view the log files (which should be empty at this point). Click the button labeled Arrange and leave the log windows open at this time.
  • On the Hi-Track Service Manager window, click the Apply button. Correct any validation problems pointed out by the Hi-Track Service Manager. (Note: if you see a message indicating that Hi-Track could not update the configuration on the standby SVP, then you are installing Hi-Track on a system equipped with dual SVPs. Take this message as a reminder to install Hi-Track on the standby SVP as well.)
  • Click Yes to the prompt to start the services.
  • Watch the logs for a minute or so to look for any errors or unusual messages.
  • On the Utilities tab, click Daily or Weekly and click the Transfer Now to test a daily or weekly call.
  • Watch the logs until the call completes to look for any errors or unusual messages.
  • Close the log windows.
  • Click OK on the Hi-Track Service Manager to minimize the application to the system tray.
  • Contact TRC to test a remote maintenance call.

Important Notes

[1] Full Hi-Track functionality requires use of the following ports:

  • 2056, 2057, 2058, and 2059 for communication between the Hi-Track Site Manager and the subsystems that it will manage
  • 443 for data transfer to the HDS Center
  • 4431 or whichever port is configured during installation to host the Dump Interface

[2] Version C.D and higher uses the .NET Framework 4.6. This is a change from versions of the Hi-Track agent prior to C.D. The installer program should automatically install .NET 4.6 during the installation process. If for some reason the installation fails, you can manually install .NET Framework 4.6. To do so, follow the directions in the next note. Be aware that to install the .NET Framework 4.6, you may have to update the Windows installer to the latest version. The latest version of the Windows Installer is on the installation media in the "\Prerequisites\Windows Installer 4.5\" folder.

[3] To deploy Hi-Track at a site with multiple subsystems, we recommend you install the latest version of Hi-Track on all systems. Moreover, if the site has one or more VSP (or newer) storage systems or any systems at Hi-Track version C.1 or higher, it is required to install this version of Hi-Track on the Site Manager (Front) system to correctly transfer all relevant data including CSV data to the Hi-Track center.

[4] Normally it is not necessary to uninstall previous versions of the Hi-Track agent to upgrade to the latest version. The exception to this is if you need to perform a manual installation (using HTA.msi instead of Hi-Track Setup.exe). In this case, you should first go into the Control Panel and remove all prior version of Hi-Track before proceeding with a manual installation.

[5] Service manager configuration settings from the prior version are always preserved during an upgrade.

[6] Versions C.7 overwrites previous versions of the database file HiTrackDb.sdf to correct a deficiency in it. This overwrite resets the Hi-Track AutoDump Web Interface configuration, including the user information.

[7] Versions C.6 and higher enable a Web Interface for AutoDumps requests by default upon installation. The web application opens the port configured during installation and creates a windows firewall rule to allow incoming traffic. The web interface can be disabled in the service manager, deleting the created firewall rule and closing the opened port. Reference the help file to do so.

[8] Versions C.6 and higher enable AutoDumps polling by default. This may produce error messages in the Hi-Track logs if a proxy is required to reach the polling servers. If so, either disable AutoDump polling or reference the Hi-Track help file to modify the poll server settings. As a general rule, if a proxy information is required for the standard Hi-Track contact methods to 'ushtinet01' or 'ushtinet02', then proxy information will also be required for the Hi-Track Site Manager to communicate with the polling servers.

[9] The Hi-Track AutoDumps Web Interface is supported on Microsoft Internet Explorer 9 or above, Google Chrome, and Mozilla Firefox. It also displays on Internet Explorer 8, but with a diminished GUI experience and possible loss of datepicker functions for the Log page.

[10] If the Hi-Track Setup program fails to install Hi-Track properly, follow the steps below to install Hi-Track manually:

  • Install the .NET Framework 4.6: Navigate to the Hi-Track directory of the installation media and execute the file named dotNetFx46_Full_x86_x64.exe. If this program brings up a dialog that gives you choices for "Repair" and "Uninstall", you may click Cancel and skip the rest of this step because the .NET Framework 4.6 is already installed on the system.

    On some platforms you may receive a message that the Windows Installer needs to be upgraded to install .NET 4.6. if you receive this message, current versions of the Windows Installer are in the "\Prerequisites\Windows Installer 4.5\" folder on the installation medium. Identify the package for the target system by the file names and execute the appropriate package to update the Windows Installer.

  • Notes: It is not normally necessary to uninstall prior versions of Hi-Track to upgrade to the latest version. The configuration settings from the prior version will be retained after the upgrade.

  • Install Hi-Track: Navigate to the \Hi-Track folder of the installation medium, right-click the file named Hi-Track Setup.exe and choose “Run as administrator”. (Note: on Windows XP systems you can just execute the program by double-clicking Hi-Track Setup.exe.) Follow the directions in the installation program to install the Hi-Track agent. When you click “Continue” on the final panel of the installation program, the installer will launch the Hi-Track Service Manager application.

  • Direct manual installation: If the above installation step fails for any reason, you may need install the HTA.msi package directly: to do this:

    1. Go to the system Control Panel and uninstall any prior versions of Hi-Track.

    2. Execute the file in the Hi-Track directory named HTA.msi by double-clicking it. (Note you may need to confirm a UAC challenge.) Follow the prompts on the screen to click Next twice and then Close on the final panel. If this installer presents you with the choices "Repair Hi-Track" and "Remove Hi-Track", Hi-Track is already installed and you may chose to cancel or repair the installation.

    3. When you install the agent this way, you will need to launch the Hi-Track Service Manager application manually from the Start menu by selecting All Programs/Hitachi Data Systems/Hi-Track/Hi-Track Service Manager.

Hi-Track applications, this documentation, and all associated files and documents are:

Copyright © 1995-2016 Hitachi Data Systems
All rights reserved.


Release Notes

Hi-Track Enterprise RAID Agent
Release Notes Hitachi Data Systems

This document describes enhancements and bug fixes to Hi-Track through version C.D.

C.DMar 01, 2016

Bug Fixes

  • [228] The dump lockout prevented dumps from triggering more than every 12 hours instead of 2 hours. Version C.D fixes this.
  • [229] The External LDEVs information (ExtLDEV2.dat) collected on VSP Gx00 systems is incomplete. Version C.D fixes this.

Changes

  • [230] Collects the parts information from FFI dump files for the VSP systems running 70-06-22/01 microcode or higher.
  • [231] Collects the parts information from FFI dump files for the HUS VM (HM700) systems running 73-03-40/00 microcode or higher.
  • [232] Collects the parts information from FFI dump files for the HUS VM (HM710) systems running 75-03-40/00 microcode or higher.
  • [233] Adds the options to skip the transfer of Config.zip.
  • [234] Adds support for TLS 1.1 and TLS 1.2 for the Dump Interface on applicable OS levels.
  • [235] Adds support for TLS 1.1 and TLS 1.2 for the dump polling on applicable OS levels.
  • [236] Adds support for TLS 1.1 and TLS 1.2 for the HTTPS and FTPS transfer on applicable OS levels.
C.CNov 21, 2015

Bug Fixes

  • [214] DAT file retries don't generate success or failure messages. Version C.C fixes this.
  • [215] FMD dump types on VSP G1000s are broken. Version C.C fixes this.
  • [216] HUS VM systems of type HM710 don't check for SIM triggered AutoDumps. Version C.C fixes this.
  • [217] HTTP Contact Methods did not register changes to the Domain Authentication option or the value of the Domain if those were the only configuration options changed in the contact method. Version C.C fixes.
  • [218] Installation on a non-English language Windows OS fails when the installer configures the Dump Interface. Version C.C fixes.

Changes

  • [219] Added support for VSP Gx00 High model type (VSP G800).
  • [220] Added support for SOCKS HTTP proxies for transport methods and dump polling.
  • [221] Added System Memory Information collection for the VSP Gx00 system type.
  • [222] Added the Monitor dump type for the VSP G1000 system type.
  • [223] Added the FMD and Config dump types for the VSP Gx00 system type.
  • [224] Collects ORM information from VSP G1000 systems running V03 microcode or higher.
  • [225] Collects the parts information from FFI dump files for the VSP G1000 systems running V03 microcode or higher.
  • [226] Collects performance data from VSP, HUS VM, and VSP G1000 system types.
  • [227] Hi-Track checks the VSP Gx00 identifying registry key on every BackSvc start-up instead of checking only once at install.
C.BMay 07, 2015

Bug Fixes

  • [213] The Hi-Track Site Manager does not properly carry over the proxy type configuration when upgraded to C.A.. As a result, Hi-Track does not correctly recognize the proxy configuration or changes made to it. Version C.B fixes this.
C.AApril 22, 2015

Bug Fixes

  • [210] The Hi-Track Dump Interface runs when it shouldn't on systems configured only as a back. Version C.A fixes this.

Changes

  • [211] Adds support for the VSP Gx00.
  • [212] Collects Hi-Track configuration of agents configured only as a front.
C.9March 23, 2015

Bug Fixes

  • [199] AutoDump Polling Configuration Window Hangs on Close: The AutoDump Polling Configuration sub-window of the Hi-Track Service Manager may hang for a noticeable amount of time if the Apply or Close buttons are pressed immediately after the Test button has been pressed. Version C.9 fixes this.
  • [200] Selected checkboxes reset after a few seconds on the AutoDump Web Interface's Home page. Version C.9 fixes this.
  • [201] The OK button doesn't appear after adding or editing a Subsystem's IPv4 or IPv6 Registration Address. Version C.9 fixes this.
  • [202] A changed IPv4 or IPv6 Registration Address requires a manual restart of the SVP Agent service in order to update the Site Manager with the changed address if the SVP Agent service is running when the change is made and already registered and connected to the Site Manager. Version C.9 fixes this.
  • [203] FrontSvc.ConnectToBack error messages spam the Site Manager logs upon continued failure. Version C.9 fixes this.
  • [204] FrontSvc.ConnectToBack exceptions hang dump and file transfers. Version C.9 fixes this.
  • [205] The Resend SIMs option resends SIMs every other day rather than every day. Version C.9 fixes this defect.

Changes

  • [206] Adds support for HUS VMs configured with a Dense-60 drive boxes.
  • [207] Added a Validate SSL Certificate option for polling any configured servers for dump polling. This option is disabled by default and can be found in the Hi-Track Service Manager's AutoDump Polling Configuration sub-window.
  • [208] Added an Interface Configuration dialog under the Hi-Track Service Manager's AutoDumps tab from which the admin password for the AutoDump Web Interface can be reset to the default value.
  • [209] Collects Protection Level Information on VSPs.
C.8Nov 24, 2014

Bug Fixes

  • [183] SIM report failure: Hi-Track can fail to report SIMs under these specific conditions. 1) Both dialup and IP transport methods are configured. 2) The IP transport methods configured do not work. 3) The dialup method is listed at 1st (that is at the top of) in the contact methods list. Version C.8 fixes this.
  • [184] VSP G1000 SVP Agent unexpected failure: The Hi-Track SVP Agent can unexpectedly shutdown and require restart on VSP G1000 systems on which 4 or more DKC batteries are configured. Version C.8 fixes this defect.
  • [185] VSP G1000 BatteryLifeEach.Dat files are incomplete: The BatteryLifeEach.dat generated by Hi-Track SVP Agent on VSP G1000 systems is incomplete. Version C.8 fixes this.
  • [186] SVP Agent fails to read microcode levels upon start-up. Version C.8 fixes this.
  • [187] Unread microcode level restricts DAT File Generation for DAT files whose API is microcode level dependent. Version C.8 fixes this.
  • [188] FTPS contact methods fail if the Transfer to HDS Only option is configured for it. Version C.8 fixes this.
  • [189] Site Managers may register an incorrect IP address for SVP Agents on a different network if the IP address of the Site Manager starts with a different octet than the SVP Agent. This is not guaranteed to happen but may occur depending on the ordering of the SVP Agent's assigned IP addresses. Version C.8 fixes this.
  • [190] The SVP Agent service runs when it shouldn't on non-subsystem machines. The service starts upon restart and cannot be stopped via the Service Manager because the UI control is not enabled. Version C.8 fixes this.
  • [214] SIM triggered AutoDumps don't label the generated AutoDump with the triggering SIM code. Version C.8 fixes this.

Changes

  • [191] VSP G1000 does not generate BatteryLife.dat due to dropped support.
  • [192] SVP Agents may explicitly specify the IP address used to register with a Site Manager if the SVP Agent is not also a Site Manager.
  • [193] Added IPv6 address support. Site Managers can be registered with IPv6 from an SVP Agent exactly as an IPv4 address would be registered. SVP Agents can define IPv6 addresses to use for registration from the Subsystems tab of the Hi-Track Service Manager if the SVP Agent is not also functioning as a Site Manager.
  • [194] SIM triggered AutoDumps are now appended with _auto_SIMREF where SIMREF is the SIM reference that triggered the dump.
  • [195] Added support for appending SR numbers to polling triggered AutoDumps.
  • [196] Enhanced dump polling to better detail what stage of the dump process the Site Manager is on.
  • [197] The Dump Interface now supports batched request.
  • [198] Hi-Track is now FIPSs compliant and will run as intended on Windows operating systems with that FIPS compliance enabled.
C.7April 21, 2014

Bug Fixes

  • [172] IOException hangs Hi-Track transfer: An IOException during a transfer would cause the transfer process to hang until the Site Manager was restarted. Version C.7 fixes this.
  • [173] SIM transport fails with incorrect contact method: The Site Manager may fail to transport a SIM on subsequent transfer attempts if the previous attempt failed due to an incorrectly setup contact method. Version C.7 fixes this.
  • [174] HUS VM unable to determine the system type after install: The API used to generate BatteryLife.dat is not supported on the HUS VM systems. Version C.7 eliminates BatteryLife.dat generation for HUS VM systems.
  • [175] The AutoDump Web Interface on Windows Server 2012 R2 or Windows 8.1: The AutoDump Web Interface component does not display on either Windows Server 2012 R2 or Windows 8.1. Version C.7 fixes this.
  • [176] The AutoDump Web Interface error page: The error page for the AutoDump Web Interface does not display normally. Version C.7 fixes this.
  • [182] VSP G1000 DAT generation halts on LuPath.dat: The SVP Agent hangs may hang on generation of LuPath.dat. Version C.7 fixes this.

Changes

  • [177] VSPG1000 Support Added: VSPG1000 systems are officially supported in version C.7.
  • [178] Collecting BatteryLifeEach Information: On HUS VM systems, Hi-Track uses an API to collect the life information of each battery.
  • [179] Adding an SR to AutoDumps generated from the Web Interface: Users may now attach an SR number to an AutoDump request submitted by the AutoDump Web Interface.
  • [180] Concurrent SIM transfer and AutoDump generation: AutoDump generation submitted by either the GUI or AutoDump Web Interface no longer blocks SIM transfer until the dump is generated.
  • [181] The MakeHiTrackDb utility defaults: The MakeHiTrackDb utility now points towards default installation locations.
C.6January 22, 2014

Bug Fixes

  • [159] HUS VM SIM data corrupt: SIM messages transferred to Hi-Track from an HUS VM system with a serial number with leading zeros (after the leading "2" — i.e. "201234") were unreadable by the Hi-Track server. Version C.6 fixes this.
  • [160] HUS VM unable to determine the system type after install: The SVP Agent for an HUS VM system is unable to determine the system type upon a fresh install. Version C.6 fixes this.
  • [161] HiTrackLogs.zip fails to close: An open log file fails to zip during a transfer, causing the transfer to fail. Version C.6 fixes this.
  • [162] SIMs Report When They Should Not: SIMs reported to the Hi-Track Center regardless of the front's "Report SIMs" setting. Version C.6 fixes this.
  • [163] HUS VM SIM Emails Not Sent: SIMs reported to the Hi-Track Center were not emailed to their designated recipients. Version C.6 fixes this.
  • [164] HUS VM Serial Truncation: The serial numbers of HUS VMs dropped the leading '2' after certain UI interactions. Version C.6 fixes this.
  • [165] Duplicated localhost Subsystem Upon Install: The localhost subsystem entry is added twice to subsystems upon initial install. Occurs very rarely. Version C.6 fixes this.

Changes

  • [166] Collecting DKU Type Information: On HUS VM systems, Hi-Track uses a new API to collect the life information of each battery.
  • [167] Trigger AutoDumps from the Service Manager: AutoDumps can be generated and transferred to the Hi-Track Center from the Service Manager by either targeting a specific subsystem or all subsystems monitored by a Site Manager. This feature is supported on USP V/VM, VSP, and HUS VM.
  • [168] Trigger AutoDumps from a Web Interface: AutoDumps can be generated and transferred to the Hi-Track Center from a web interface if this feature is enabled on the Site Manager's Service Manager. This feature is supported on USP V/VM, VSP, and HUS VM.
  • [169] Trigger AutoDumps by SIM reference code: If enabled in the Service Manager, AutoDumps can be automatically generated and transferred to the Hi-Track Center if a reported SIM reference code matches one that's listed in the SIM AutoDump parameter file. This feature is supported on USP V/VM, VSP, and HUS VM.
  • [170] Includes Pre-populated HTTPS, FTPS, and FTP Contact Methods in the "Add Contact" dialog for the Hi-Track Service Manager.
  • [171] Changed Contact Method Passes to rotate through defined contact methods rather than try each method a specific number of times before moving on to another. Preference is given to IP transport methods and if these all fail within a timeout period then Dial-up transport methods are attempted. In addition, the default retries configuration parameters only apply to the dial-up transport methods. The IP transport methods are looped through where applicable until a transport timeout period elapses.
C.5October 29, 2012

Bug Fixes

  • [157] VSP systems failing daily transfers: Under some circumstances Hi-Track Agent version C.4 on VSP systems running some versions of V-04 microcode would crash during file generation and fail to transfer data files to the Hi-Track Center. Version C.5 fixes this problem.
  • [158] Hi-Track Service Manager application prevents log off: Hi-Track Agent version C.4 installed on systems other than SVPs prevented the user from logging off of a console session unless the Service Manager application was closed. Version C.5 fixes this problem.
C.4September 18, 2012

Bug Fixes

  • [149] Dial-up incidental calls send wrong micro-code version for back systems: Under some circumstances a dial-up incidental call would report an incorrect microcode version for remote systems reporting a SIM. Hi-Track C.4 fixes this issue.

Changes

  • [150] Support for HUS VM systems: Hi-Track was updated in C.4 to support HUS VM storage systems.
  • [151] Collecting Storage System Data in XML format: on HUS VM systems or VSP systems with micro-code version 7004000000 and above, Hi-Track calls the appropriate API functions to collect storage configuration data such as package information as well as SSB and SIM data. Moreover, Hi-Track transports these new XML data files during the daily and weekly data transports.
  • [152] Collecting Pool Information Ex2: On HUS VM systems or VSP systems with micro-code version 7004000000 and above, Hi-Track uses a new API to collect the ‘ex2’ version of the HDP pool data.
  • [153] Collecting License Information Ex: On HUS VM systems or VSP systems with micro-code version 7004000000 and above, Hi-Track uses a new API to collect the ‘ex’ version of License data.
  • [154] Collecting Each Battery Life Information: On HUS VM systems or VSP systems with micro-code version 7002500000 and above, Hi-Track uses a new API to collect the life information of each battery.
  • [155] Additional information included in SIM notification emails: Additional information including error location and HDD serial number (when applicable) is now included in notification email messages if the system is configured for email notification.
  • [156] Changed the Service Manager application to support minimize, restore, display in taskbar, and to not enforce an "always on top" window state.
C.3May 1, 2012

Bug Fixes

  • [147] SVP Agent Service (BackSvc.exe) consumes a high percentage of CPU time: In Hi-Track C.2, if the SVP agent service runs continuously for a long period of time, it would eventually uses near 100% of the CPU. As a result, the Hi-Track application may not be able to write to log files or transport data to the center. We have reports indicating that the issue has occurred as early as 30 days after starting the SVP agent service. Hi-Track C.3 fixes this.
  • [148] Email Notification for Simultaneous SIMs: If simultaneous SIMs occur on an SVP, previous versions of Hi-Track may not send email notification for all of them. Hi-Track version C.3 was modified to send notification emails for all SIMs, including those that occur simultaneously.
C.2October 31, 2011

Bug Fixes

  • [136] Upgrading Hi-Track: When installing Hi-Track C.1 on a system that is running a previous version of Hi-Track, the C.1 installer incorrectly displays a message indicating that Hi-Track C.1 is already installed and prompts the end-user to either repair or remove Hi-Track. In C2, Removing the previous version of Hi-Track is part of the installation process and does not require user intervention.
  • [137] SIMS Email Notification: Prior to version C.2, Hi-Track failed to send SIMS notification emails when deployed on a stand-alone system. Hi-Track C.2 fixes this.
  • [138] SMTP authentication: In previous versions of Hi-Track, users could specify the email server username and password in the Notification tab but the Hi-Track application did not forward the authentication credentials to the SMTP mail server. Version C.2 correctly sets the username and password if the SMTP server requires authentication.
  • [139] Site Manager Handle Count: if a dialup transport is defined as the only contact method and none of the dialup succeeds, the Hi-Track Site Manager consumes many file handles without releasing them. this is resolved in version C.2.
  • [140] Proxy Server Domain Authentication: Hi-Track version C.2 was modified to support domain authentication for proxy servers.

Changes

  • [141] Transporting Uncompleted SIMS: Hi-Track sends a list of uncompleted SIMs to the center during data transfer.
  • [142] Manual Contact Method: Hi-Track C.2 introduces a new contact method called Manual that stores the collected data in the c:\HDS\FtpStage instead of sending it to the Hi-Track center.
  • [143] Configurable SMTP Port: Allows users to specify the SMTP port for email event notification. The default port is 25.
  • [144] HTTPS as Default Transport Method: Previous versions of Hi-Track were pre-configured with a dial-up transfer method. This has been changed in C.2 and Hi-Track displays a generic HTTPS connection as the preferred transfer method. As a result, ‘Answer incoming calls’ and ‘Enable RAS dial-back’ checkboxes are in the unchecked state by default.
  • [145] Notification by SIM Severity: In version C.2, the Hi-Track application can be configured to send email notification based on the severity of SIMs.
  • [146] Validating SSL Certificate: Previous versions of Hi-Track rejected SSL certificates that were signed by untrusted authorities. Therefore, it was not possible to employ the HTTPS method to transfer data to servers with self-signed SSL certificate. In version C.2, Hi-Track can be configured to skip the server certificate validation process and transfer data to any web server via HTTPS.
C.1July 27, 2010

Bug Fixes

  • [124] Collection of LUSE data: Prior to version C.1, Hi-Track did not completely retrieve the data about configured expanded LUSE. Version C.1 calls the appropriate APIs to collect all the LUSE information. It will gather the configured LUSE data on all the large RAID SVP types.
  • [125] Log sizes grow unexpectedly: There was one report suggesting that the Hi-Track log file size becomes too large and takes all the C drive space. To prevent this rare incident from happening, Hi-Track was modified to check the log size before writing to it. In version C.1 or later, Hi-Track will overwrite the log file if the file size exceeds 2 megabytes.
  • [126] Failing to FTPS to Solaris FTP Server: In rare occasions, Hi-Track reports an error when sending data via FTPS to Solaris FTP servers. Further investigation revealed that the error occurs on logoff event after data transfer is completed. Hi-Track version C.1 resolves this issue.
  • [127] Stopping Site Manager Service: If there is no modem attached to the Hi-Track host system, the Site Manager Service cannot be correctly stopped as it is waiting for a reply from an absent modem. Hi-Track C.1 resolves this issue.
  • [128] Reporting SSB data: Prior to version C.1, Hi-Track was not able to report all SSB data when the primary transfer protocol was HTTPS or FTP. This issue has been resolved in version C.1 and Hi-Track successfully transfers the SSB information to the center using HTTPS or FTP.
  • [#] Standby SVP Agents don't switch to primary: For dual SVPs, when the primary SVP Agent fails, the standby SVP agent does not automatically switch to a primary. Switching requires manually restarting the standby SVP Agent's service. Hi-Track C.1 resolves this issue.

Changes

  • [129] Support for VSP systems: VSP is the latest system of the large RAID family of HDS storage products. Hi-Track was updated in C.1 to fully support VSP storage systems.
  • [130] Dial-up configuration on VSP: Hi-Track does not support dial-up data transfer or RAS dial-back by default on VSP storage systems as these systems do not have a built-in modem. However, users can optionally install one of the modems that is supported by Hi-Track (please refer to the Hi-Track help document for the list of Hi-Track approved modems). In version C.1, the Hi-Track Service Manager is able to detect whether the host platform is equipped with a modem. It allows dial-up data transfer and RAS dial-back only if finds a modem on the startup event.
  • [131] Hi-Track Installation Location: In C.1, the Hi-Track installer will prompt the end-user to select a target installation directory. The default folder is “C:\Program Files\Hitachi Data Systems\Hi-Track\” for USP V/VM, NSC, and USP. For VSP, the default folder is “C:\Program Files (x86)\Hitachi Data Systems\Hi-Track.”
  • [132] FTPS to non-HDS Centers: Prior to version C.1, Hi-Track was able to only transfer data securely to HDS centers. This restriction has been modified in version C.1 and Hi-Track can send data to any server using the FTPS transfer protocol. To use FTPS to send data to a non-HDS center, uncheck the box labeled Transfer to HDS only on the FTP Method Properties panel.
  • [133] Collecting and Transporting csv.zip: If the appropriate command-line tool is installed on an SVP, Hi-Track will call it to collect the csv.zip data. Similar to dat.zip and config.zip, the csv.zip is stored in c:\hds and sent to the HDS center during data transfer.
  • [134] SVP Agent Connectivity Test: In Hi-Track version B.D to C.0, any Vista computer failed the Ping portion of the SVP Agent Connectivity Test facility of the Hi-Track Service Manager. Hi-Track version C.1 was updated to resolve this problem.
  • [135] Collection of SVP Antivirus data: Starting with version C.1, Hi-Track uses a different method to retrieve information from any antivirus installed on the host system. The new method works on all SVP types.
C.0June 4, 2009

Bug Fixes

  • [117] FCGS Symbolic data collection caused Hi-Track failures: Item #116 in version B.F was modified to only generate FCGS symbolic data if the USPV/VM subsystem is at or above the V04+1 microcode level. A workaround that was offered for this problem was to uncheck the box in the Service Manager program to disallow collection of FCGS data. If you cleared this checkbox to work around the problem, please replace the check in the checkbox after upgrading to C.0 and test a full transfer (including new file generation) to the Hi-Track Center. Watch both the Site Manager log and Agent log during file generation and transfer to ensure that it completes without errors.
  • [118] Testing transfers in the Service Manager: If a user initiated a test Daily transfer in the Service Manager program and the day of the week was the same as the day of the week the system was configured to do weekly transfers, the call type would be changed to Weekly.
  • [119] System Busy message: When attempting to initiate a data transfer to the Hi-Track Center while connected through a RAS session, the Hi-Track agent would respond that the system was busy regardless of the configured transport methods. Version C.0 will allow a transfer provided that the primary transport method is not dialup.

Changes

  • [120] Collection of HDP data: A new API was added for USPV/VM systems to collect information about configured HDP pools and volume information. This API will be called and the data collected for systems running microcode versions V05 and above. This information is displayed on the Hi-Track web pages for USP V and USP VM systems configured with HDP pools and volumes.
  • [121] FTP data transfers changed to PUT: For historical reasons, in the past FTP transfers to the Hi-Track Center have appended files to the Hi-Track FTP servers. With this version FTP transfers have been changed to uploads which will overwrite any existing files. This change will prevent misconfigured agents from causing problems with the Hi-Track FTP servers.
  • [122] Installer change: A change was made to the agent bootstrap installer to automatically remove previous versions of the Hi-Track agent before installing a new version. This should result in a higher success rate for upgrade installs.
  • [123] Return value from dialup command changed: The return value for a dialup Center command was changed in this version to acknowledge the command sent.


Overview

Hi-Track monitors USP, NSC, USP V, USP VM, VSP, HUS VM, VSP G1000, VSP Gx00 storage subsystem configurations and for error conditions. Hi-Track reports configuration data to the HDS Hi-Track Center daily, and error conditions immediately. Hi-Track can transfer configuration data and report error conditions to the center in one of three ways:

  • HTTPS
  • FTP (or FTPS)
  • Telephone

To reduce the need for dedicated telephone lines in the data center environment for customer environments that contain more than a single subsystem, one subsystem may be designated the Site Manager (or front*). This system has the physically-connected telephone line and coordinates communications between the HDS Center and other subsystems at the site.

Similar to previous Hi-Track versions, C series has the ability to install Hi-Track on a computer other than a subsystem service processor (SVP) and to designate this system as the Site Manager. In this configuration, all of the actual subsystem SVPs are backs* and none need a dedicated phone line or Internet connectivity.

*See the next section: Important Terminology

All Hi-Track applications, documentation, and associated files are: